2003-10-24  JP Rosevear <jpr@ximian.com>

	* gui/gnome-cal.h: update protos

	* gui/gnome-cal.c (gnome_calendar_set_default_uri): set the
	default client based on uri

	* gui/calendar-component.c (add_uri_for_source): rename from
	load_uri_for_source and take a calendar
	(remove_uri_for_source): utility routine to remove the source's
	uri from the calendar
	(is_in_selection): checks to see if the uid of the given source
	matches any of those in the given selection
	(update_uris_for_selection): remove any uris no longer in the
	selection, add those that still exist
	(source_selection_changed_callback): call above
	(primary_source_selection_changed_callback): we have the calendar
	easily now; set the default by uri
	(control_activate_cb): handle activation and de-activation
	(impl_createControls): create the calendar control ourselves so we
	have access to the calendar
	(impl_dispose): release the source selection

2003-10-23  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (add_component): if the component received
	is an instance, add it to the recurrences hash table.
	(free_recurrence): callback for g_hash_table_foreach() to free
	the recurrences in the CalBackendFileObject structure.
	(free_object): call free_recurrence for each recurrence.
	(remove_recurrence_cb): g_hash_table_foreach() callback to
	remove recurrences from the calendar.
	(remove_component): remove all recurrences.
	(cal_backend_file_open): check write access on the file, and
	set read_only flag appropriately.
	(cal_backend_file_is_read_only): return the private flag.
	(cal_backend_file_init): initialize read_only flag.
	(cal_backend_file_get_object): deal with recurrences.

	* gui/alarm-notify/notify-main.c (main): unref the alarm
	notification service when terminating.
	(client_die_cb): call bonobo_main_quit instead of gtk_main_quit.

2003-10-23    <jpr@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_get_current_view_widget): just
	uses the views array and the current view type
	(setup_widgets): ditto
	(set_view): ditto
	(backend_died_cb): ditto
	(gnome_calendar_get_calendar_model): ditto
	(gnome_calendar_update_config_settings): ditto

2003-10-23  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c: accept also text/calendar for D&D.

2003-10-23  JP Rosevear <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_on_top_canvas_drag_data_received):
	fix typo
	(e_day_view_on_main_canvas_drag_data_received): fix C99 issue, fix
	typo

2003-10-23  JP Rosevear <jpr@ximian.com>

	* gui/gnome-cal.c (update_query): use the internal client list to
	create the queries
	(gnome_calendar_destroy): use the internal client list to
	disconnect signal handlers
	(gnome_calendar_add_event_uri): add the client to the internal
	list
	(gnome_calendar_remove_event_uri): remove the client from the
	internal list and lookup the client
	(gnome_calendar_update_config_settings): use the internal client
	list to update the config settings

2003-10-23  Harry Lu  <harry.lu@sun.com>

	* cal-client/cal-client.c: (cal_client_get_timezone): remove and free
	op before return.

	* gui/e-cal-view.c (e_cal_view_add_event): modified from
	selection_received_add_event() so that it call be called out of
	e-cal-view.c.
	(selection_received): modified to call e_cal_view_add_event().

	* gui/e-cal-view.h: add declaration for e_cal_view_add_event().

	* gui/e-day-view.c (e_day_view_on_drag_data_get): Provide a
	icalcomponent for both TARGET_CALENDAR_EVENT and TARGET_VCALENDAR.
	(e_day_view_on_top_canvas_drag_data_received): If dragging between
	different windows, make it works like a copy and paste.
	(e_day_view_on_main_canvas_drag_data_received): ditto.

2003-10-23  JP Rosevear <jpr@ximian.com>

	* cal-util/cal-recur.c: update g_date calls to non-deprecated
	calls

	* cal-util/Makefile.am: turn off deprecated funcs

	* cal-client/Makefile.am: turn off deprecated funcs

	* cal-client/cal-client.c (cal_client_get_error_message): add OK
	message

	* pcs/cal-backend.[hc]: remove dead funcs

	* pcs/query.c: tidy headers

2003-10-23  JP Rosevear <jpr@ximian.com>

	* pcs/query.c (query_notify_objects_removed_1): Fix c/p typo -
	call removed instead of modify

2003-10-23  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.c (e_cal_view_init): connect also to ETableModel's
	"model_cell_changed" signal.
	(e_cal_view_set_model): likewise.
	(model_cell_changed_cb): callback for "model_cell_changed".
	(e_cal_view_destroy): use g_signal_handlers_disconnect_matched instead
	of g_signal_handlers_disconnect_by_func, so that all handlers are
	disconnected.

2003-10-23  JP Rosevear <jpr@ximian.com>
 
 	* pcs/cal.c (cal_notify_object_modified): guard against irrelevant
 	args (ie if there was an error) 
 	(cal_notify_object_removed): ditto
 	(cal_notify_timezone_added): ditto
 
 	* pcs/cal-backend-sync.c (_cal_backend_is_read_only): init value
 	to something known
 	(_cal_backend_get_cal_address): ditto
 	(_cal_backend_get_alarm_email_address): ditto
 	(_cal_backend_get_ldap_attribute): ditto
 	(_cal_backend_get_static_capabilities): ditto
 	(_cal_backend_modify_object): ditto
 	(_cal_backend_remove_object): ditto
 	(_cal_backend_get_object_list): ditto
 
2003-10-22  JP Rosevear <jpr@ximian.com>
 
 	* gui/e-cal-list-view.c (e_cal_list_view_new): create a model and
 	pass it as an arg during creation
 
 	* gui/e-day-view.c (e_day_view_new): unref the model
 
 	* gui/e-week-view.c (e_week_view_new): ditto
	
2003-10-22  JP Rosevear <jpr@ximian.com>
 
 	* cal-client/cal-client.c (cal_client_get_object): only change to
 	invalid object error code if we got the object but couldn't parse
 	it, and only check for timezones if we had success
 
 	* gui/comp-util.c (cal_comp_is_on_server): don't throw a warning
 	if the object simply does not exist
	
2003-10-22  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.[ch] (gnome_calendar_remove_event_uri): new
	function to remove calendars from the views.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* gui/GNOME_Evolution_Calendar.server.in.in: Add an
	"evolution:button_icon" attribute.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* gui/GNOME_Evolution_Calendar.server.in.in: Add an
	"evoution:button_sort_order" attribute.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* gui/calendar-component.c (impl_createControls): Make the
	scrolled window have a GTK_SHADOW_IN shadow.
	* gui/dialogs/meeting-page.c (meeting_page_construct): Likewise.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* gui/calendar-component.c (impl_createControls): Set the
	scrollbar policy to "automatic" for both the horizontal and
	vertical scrollbars around the source selector.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* gui/GNOME_Evolution_Calendar.server.in.in: Add an
	"evolution:button_label" property on the component for use in the
	shell.

2003-10-21  Rodney Dawes  <dobey@ximian.com>

	* cal-client/Makefile.am: Fix typo in libcal_client_la_SOURCES
	
2003-10-21  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-component.c (calendar_component_init): fixed
	a leak caused by only freeing 'base_uri' in some cases.

2003-10-21  JP Rosevear <jpr@ximian.com>

	* gui/control-factory.c (get_prop): fix parse error
	(set_prop): gnome_calendar_open was renamed

	* conduits/todo/todo-conduit.c (start_calendar_server): adapt to
	the cal_client_new changes and the lack of a default calendar
	routine
	(pre_sync): don't have to pass a type for the default object any
	more

	* conduits/calendar/calendar-conduit.c (start_calendar_server):
	adapt to the cal_client_new changes and the lack of a default
	calendar routine
	(pre_sync): don't have to pass a type for the default object any
	more

	* cal-client/cal-client.c (cal_client_open_async): add FIXME
	comment

2003-10-21  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c: store recurrences per object.
	(free_object): free correctly the CalBackendFileObject's
	contained in 'priv->comp_uid_hash'.
	(lookup_component, check_dup_uid, add_component, remove_component,
	match_object_sexp):
	adapted to changes in comp_uid_hash.
	
2003-10-20  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.[ch] (gnome_calendar_add_event_uri): renamed
	from gnome_calendar_open.

	* gui/calendar-component.c (load_uri_for_source): call
	gnome_calendar_add_event_uri instead of setting the URI property on
	the Bonobo control.

2003-10-17  Rodrigo Moya <rodrigo@ximian.com>

	* gui/migration.c (process_calendar_dir): process subfolders.

2003-10-17  Rodrigo Moya <rodrigo@ximian.com>

	* gui/migration.[ch] (migrate_old_calendars): new function.

	* gui/calendar-component.c (calendar_component_init): call
	the above function to migrate from old setups.

	* gui/Makefile.am: added new files.

2003-10-17  Jeffrey Stedfast <fejj@ximian.com>
	
	* conduits/calendar/Makefile.am: Fixed for libical build changes.

	* conduits/todo/Makefile.am: Same.

2003-10-17  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.c (on_print): call
	e_cal_view_get_visible_time_range, not the gnome_calendar_
	version.
	(e_cal_view_new_appointment_for, e_cal_view_new_appointment,
	e_cal_view_edit_appointment): new functions.

	* gui/gnome-cal.[ch] (gnome_calendar_new_appointment_for,
	gnome_calendar_new_appointment, gnome_calendar_edit_object):
	removed these functions, now available in e-cal-view.

	* gui/calendar-commands.c:
	* gui/e-day-view.c:
	* gui/e-week-view-event-item.c:
	* gui/e-week-view.c: replaced calls to gnome_calendar_* with
	e_cal_view_* equivalents.

2003-10-17  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.[ch] (e_cal_view_get_default_category):
	(e_cal_view_set_default_category): new functions.
	(e_cal_view_destroy): free the default_category field.

	* gui/e-day-view.[ch] (e_day_view_set_default_category):
	removed obsolete function.
	(e_day_view_init, e_day_view_destroy, e_day_view_do_key_press):
	use the ECalView's default_category.

	* gui/e-week-view.[ch] (e_week_view_set_default_category):
	removed obsolete function.
	(e_week_view_init, e_week_view_destroy, e_week_view_do_key_press):
	use the ECalView's default_category.

	* gui/gnome-cal.c (gnome_calendar_set_query): set the query
	also on the list view by using the priv->views array.
	(search_bar_category_changed_cb, gnome_calendar_set_default_client):
	use the priv->views array.
	(gnome_calendar_get_calendar_model): return the model for the
	current view widget.
	(gnome_calendar_open): removed tasks opening code.

2003-10-16  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/new-calendar.c (new_calendar_dialog): if the user
	presses Cancel, just terminate.

2003-10-16  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-component.c (calendar_component_init): create
	directories for the newly-created calendars.

	* gui/dialogs/new-calendar.c (create_new_source_with_group): use
	e_mkdir_hier instead of mkdir.

2003-10-16  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-component.c (calendar_component_init): if no groups
	are present in the configuration, create the "On This Computer"
	group and the "Personal" and "Work" calendars on it.

	* gui/dialogs/new-calendar.c (new_calendar_dialog): moved the
	source creation...
	(create_new_source_with_group): ...here, and made the code create
	the directory for the new calendar.

2003-10-15  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-select-names-editable.c (e_selct_names_editable_get_address):
	EDestination -> EABDestination.

	* gui/gnome-cal.c (setup_widgets): evolution_dir -> ".evolution".

2003-10-15  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-select-names-editable.c (e_select_names_editable_get_address):
	use EABDestination instead of EDestination.

	* gui/gnome-cal.c (gnome_calendar_open): disabled tasks opening code.

2003-10-15  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-meeting-list-view.c: adapted to new addressbook API.

	* gui/e-meeting-store.c: adapted to new addressbook API.
	(find_zone): fixed usage of icalcomponent where an icalproperty
	is expected.
	(refresh_busy_periods): fixed call to cal_client_get_free_busy().

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	added missing variable.
	
2003-10-15  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/dialogs/meeting-page.c: #include <gal/e-table/e-table.h>

2003-10-15  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-meeting-list-view.c (start_addressbook_server):
	updated to new addressbook API.
	(book_open_cb): removed unneeded function, since we load
	the local addressbook synchronously.

2003-10-15  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/Makefile.am: added missing header directories.

	* pcs/cal-factory.h: include <libical/ical.h>, not <ical.h>.

	* gui/dialogs/meeting-page.c: added missing headers.
	(meeting_page_construct): free 'backend_address' as returned
	by cal_client_get_cal_address(). Removed code to create the
	meeting model's ETable not removed with the merge.

	* gui/e-meeting-list-view.c: updated addressbook headers.

	* gui/gnome-cal.h: added missing ',' in the GnomeCalendarViewType
	enum.
	
2003-10-14  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c (e_day_view_update_query): dont set status
	messages here, already set in e_cal_view_update_query.
	(update_query): removed this function.
	(e_day_view_recalc_day_starts): call e_day_view_update_query,
	not update_query.

	* gui/e-week-view.c (e_week_view_update_query): dont set status
	messages here, already set in e_cal_view_update_query.

	* gui/gnome-cal.c (adjust_query_for_view): new function to adjust
	the query for the visible time range on a given view.
	(gnome_calendar_set_query): call adjust_query_for_view for each
	one of the views.

2003-10-14  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.c (e_cal_view_init): connect to signals on the
	model we create here, so that we get notifications for changes.

	* gui/gnome-cal.c (gnome_calendar_set_query): set the query
	on all models.
	(gnome_calendar_open): update the date navigator query.

2003-10-14  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal.c (cal_notify_timezone_requested): never send NULL
	strings to ORBit.

	* gui/e-cal-view.c (e_cal_view_create_popup_menu): removed
	unneeded variables. Also, fixed a typo that was making the
	menu options be disabled when they should be enabled.

2003-10-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.[ch] (e_cal_model_get_client_for_uri): new function.

	* gui/gnome-cal.[ch] (gnome_calendar_set_default_client): new function.

	* gui/calendar-component.c (primary_source_selection_changed_callback):
	set the default client on the calendar view to be the primary
	selection on the source list.

2003-10-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/new-calendar.c (new_calendar_dialog): set a default group
	on the calendar group option menu and create the source if all checks
	are passed.

2003-10-12  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/new-calendar.c (new_calendar_dialog): set up widgets
	loaded from the Glade file.

2003-10-10  Hans Petter Jansson  <hpj@ximian.com>

	* gui/Makefile.am (etspec_DATA): Add e-cal-list-view.etspec.
	(libevolution_calendar_la_SOURCES): Add e-cal-list-view.[ch].

	* gui/calendar-commands.c (show_list_view_clicked): Implement.
	(calendar_get_text_for_folder_bar_label): Add case for list view.
	Use month case and tweak it so it doesn't show "%d - %d" if the
	time span contains only one day.
	(verbs): Add list view.
	(pixmaps): Add list view.

	* gui/calendar-view-factory.c (calendar_view_factory_get_title):
	Add list view case.
	(calendar_view_factory_get_type_code): Add list view case.

	* gui/control-factory.c (get_prop): Add list view case.

	* gui/e-cal-model.c (get_classification): Fix to conform to updated
	libical.
	(ecm_set_value_at): Add missing break statements.
	(ecm_get_color_for_component): Add braces for clarity.

	* gui/gnome-cal.c (gnome_calendar_get_current_view_widget): Add
	list view case.
	(get_focus_location): Add list view case.
	(connect_list_view_focus): Implement.
	(setup_widgets): Set up list view.
	(gnome_calendar_direction): Add list view case.
	(set_view): Add list view case.
	(gnome_calendar_setup_view_menus): Add list view factory.
	(gnome_calendar_construct): Account for list view.
	(gnome_calendar_update_config_settings): Account for list view.
	(get_days_shown): Implement list view case.

	* gui/gnome-cal.h (GnomeCalendarViewType): Add list view.

	* gui/e-cal-list-view.[ch]: Implement ECalListView, subclassing
	ECalView.

2003-10-10  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/new-calendar.[ch]: added new widget, which implements
	the dialog to create new calendars.

	* gui/dialogs/new-calendar.glade: basic mockup of the dialog.

	* gui/dialogs/Makefile.am: added new files.

	* gui/calendar-commands.c (file_new_calendar_cb): open the new calendar
	dialog to allow user to create a new cal.

2003-10-10  Rodrigo Moya <rodrigo@ximian.com>

	* gui/control-factory.c (calendar_properties_init): pass the
	BonoboControl to get_prop/set_prop.
	(get_prop): obtain the GnomeCalendar from the control.
	(set_prop): ditto, and when the URI property is changed,
	sensitize the UI as approppriate.

	* gui/calendar-commands.c (calendar_control_sensitize_calendar_commands):
	made this function public.

	* gui/calendar-commands.h: added new prototype.

2003-10-10  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-commands.c (file_new_calendar_cb,
	file_new_appointment_cb, file_new_event_cb, file_new_meeting_cb,
	file_new_task_cb): callbacks for "New..." verbs.
	(sensitize_calendar_commands): sensitize new verbs, and made it
	sensitize correctly based on the set of clients currently loaded.
	(sensitize_taskpad_commands): likewise.

2003-10-09  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-cal-model.c (get_classification): Adapt to libical API changes.
	(ecm_set_value_at): Break after each case, so we don't set the passed value
	in more than one field.

2003-10-09  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.c (e_cal_view_delete_selected_occurrence):
	* cal-client/cal-client.c (cal_client_remove_object): added missing
	argument when calling cal_client_remove_object_with_mod().

2003-10-09  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: added missing 'rid' argument to the
	removeObject method.

	* cal-client/cal-client.c (cal_client_remove_object_with_mod):
	* pcs/cal-backend.h:
	* pcs/cal-backend.c (cal_backend_remove_object):
	* pcs/cal-backend-sync.h:
	* pcs/cal-backend-sync.c (cal_backend_sync_remove_object,
	_cal_backend_remove_object):
	* pcs/cal-backend-file.c (cal_backend_file_remove_object):
	* pcs/cal.c (impl_cal_removeObject): adapted to changes in IDL.

2003-10-09  Jeffrey Stedfast  <fejj@ximian.com>

	* cal-client/Makefile.am: INCLUDE path fixes for changes made to
	libical build.

	* cal-util/Makefile.am: INCLUDE path fixes for changes made to
	libical build.

	* cal-util/*.[c,h]: #include <libical/ical.h> instead of <ical.h>

	* gui/Makefile.am: INCLUDE path fixes for changes made to libical
	build.

	* gui/*.[c,h]: #include <libical/ical.h> instead of <ical.h>

	* gui/alarm-notify/Makefile.am: INCLUDE path fixes for changes
	made to libical build.

	* gui/alarm-notify/config-data.h: #include <libical/ical.h>
	instead of <ical.h>

	* gui/dialogs/Makefile.am: INCLUDE path fixes for changes made to
	libical build.

	* gui/dialogs/comp-editor-util.c: #include <libical/ical.h>
	instead of <ical.h>

	* gui/dialogs/e-delegate-dialog.c: #include <libical/ical.h>
	instead of <ical.h>

	* importers/Makefile.am: INCLUDE path fixes for changes made to
	libical build.

	* pcs/Makefile.am: INCLUDE path fixes for changes made to libical
	build.

	* pcs/cal.c: #include <libical/ical.h> instead of <ical.h>

2003-10-08  Harry Lu  <harry.lu@sun.com>

	* gui/dialogs/alarm-options.glade: Make repeat-quantity and
	repeat-value of alarm option dialog numeric only.

	* gui/dialogs/task-details-page.glade: Make percent-complete of
	task details dialog numeric only.

2003-10-08  Chris Toshok  <toshok@ximian.com>

	* gui/dialogs/e-delegate-dialog.c (e_delegate_dialog_construct):
	EDestination => EABDestination, and e_destination =>
	eab_destination.
	(e_delegate_dialog_get_delegate): same.
	(e_delegate_dialog_get_delegate_name): same.

	* gui/dialogs/comp-editor-util.c: remove unnecessary #include of
	e-destination.h.

	* gui/dialogs/alarm-options.c (alarm_to_malarm_widgets):
	EDestination => EABDestination, and e_destination =>
	eab_destination.
	(malarm_widgets_to_alarm): same.

	* gui/e-meeting-model.c (book_open_cb): track change to error
	return codes.
	(start_addressbook_server): use
	e_book_async_get_default_addressbook.
	(contacts_cb): rename cursor_cb to this, as we no longer get
	passed a cursur, and we don't need to check the email address
	since the query is now "is" instead of "contains".
	(refresh_busy_periods): use an "is" query, and use
	e_book_async_get_contacts instead of getting a CardCursor.
	(process_section): this takes an EABDestination** instead of a
	SimpleCardList*, which is gone.
	(select_names_ok_cb): get "destinations" instead of
	"simple_card_list".

2003-10-08  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (cal_client_is_read_only): fixed
	documentation comments.

	* gui/calendar-commands.c (sensitize_calendar_commands): figure
	out read-only menu items to disable based on the currently
	selected object's CalClient.

2003-10-08  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c: set better error m,essages on the
	E_CALENDAR_CHECK_STATUS macro.
	(cal_client_get_error_message): new function.

	* cal-client/cal-client.h: added new prototype.

	* gui/dialogs/comp-editor.c (save_comp): use the GError argument
	for the cal_client_create/_modify_object calls, and display the
	error message coming from the backend.

	* gui/comp-util.c (cal_comp_is_on_server): likewise.

2003-10-07  Dan Winship  <danw@ximian.com>

	* idl/evolution-calendar.idl (getDefaultObject): Remove the "type"
	arg; the backend knows what type it is

	* pcs/cal.c (impl_Cal_getDefaultObject): Likewise

	* pcs/cal-backend.c (cal_backend_get_default_object): Likewise

	* pcs/cal-backend-sync.c (cal_backend_sync_get_default_object,
	_cal_backend_get_default_object): Likewise

	* pcs/cal-backend-file.c (cal_backend_file_get_default_object):
	Likewise. (Use cal_backend_get_kind() instead.)

	* cal-client/cal-client.c (cal_client_get_default_object):
	Likewise

	* gui/comp-util.c (cal_comp_event_new_with_defaults,
	cal_comp_task_new_with_defaults): Update calls to
	cal_client_get_default_object().

	* pcs/cal-backend-sync.c (_cal_backend_get_static_capabilities):
	Use the right cal notification

2003-10-07  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (e_cal_model_create_component_with_defaults):
	dont clone NULL icalcomponent's.

2003-10-07  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (e_cal_model_get_default_client): make sure we
	always return a default client, if possible, since we rely on having
	a default client in many places.

	* gui/e-day-view.c (e_day_view_do_key_press): dont create event if
	e_cal_model_create_component_with_defaults returns NULL.

	* gui/e-week-view.c (e_week_view_do_key_press): dont create event if
	e_cal_model_create_component_with_defaults returns NULL.
	
2003-10-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (e_cal_model_create_component_with_defaults):
	make sure the component has always an UID.

	* gui/e-day-view.c  (e_day_view_find_event_from_uid):
	* gui/e-week-view.c (e_week_view_find_event_from_uid): check
	pointers passed to strcmp().

2003-10-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): added missing call to
	cal_client_open().

	* cal-client/cal-client.c (cal_client_new): fixed documentation
	comments.
	(cal_client_open): emit CAL_OPENED signal with appropriate status codes.
	(open_sync): dont emit CAL_OPENED signal, it's already emitted in
	cal_client_open().

2003-10-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/comp-editor-factory.c (open_client):
	* gui/gnome-cal.c (gnome_calendar_open, gnome_calendar_construct):
	* gui/calendar-offline-handler.c (backend_go_offline, backend_go_online,
	calendar_offline_handler_init): adapted to changes in cal_client and
	manage GError's returned by cal_client_open.

	* gui/e-itip-control.c: dont run anymore sub event loops.
	(start_calendar_server): use synchronous interface for opening calendars.
	(start_default_server): renamed it from *_async.
	(start_calendar_server_cb): removed unneeded function.
	(object_requested_cb): use sync interface.

	* gui/e-tasks.c (e_tasks_construct): dont create the CalClient here.
	(e_tasks_open): do it here, where we've got all the info needed.

	* importers/icalendar-importer.c (update_single_object): killed warning.
	(ical_importer_new, vcal_importer_new): don't create CalClient's here.
	(load_file_fn): create them here.
	(vcal_load_file_fn): and here.
	(gnome_calendar_import_data_fn): fixed usage of cal_client_*.

	* */*: integrated JP's changes for synchronous open's in cal_client
	and one model per view instead of one model for all views.
	
2003-10-02  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (cal_client_modify_object): return FALSE
	if the icalcomponent is NULL.

	* gui/e-day-view.c (e_day_view_finish_resize): commit sequence on
	CalComponent after changing start/end dates.

2003-10-01  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c (process_component):
	* gui/e-week-view.c (process_component): expand recurrences here.

2003-09-30  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (match_recurrence_sexp): removed.
	(match_object_sexp): dont expand recurrences here.

2003-09-30  Mike Kestner <mkestner@ximian.com>

	* cal-util/cal-util-marshal.list : new VOID:STRING,STRING,STRING
	* gui/Makefile.am : build the new view/store/renderer/editable
	* gui/e-select-names-renderer.* : new completion cell renderer
	* gui/e-select-names-editable.* : new completion cell editable
	* gui/e-meeting-model.* : killed. code reused in list-view/store
	* gui/e-meeting-store.* : port of EMeetingModel to GtkTreeModel
	* gui/e-meeting-list-view.* : GtkTreeView subclass for attendee lists
	* gui/e-meeting-time-sel.c : Use the new store/view
	* gui/e-meeting-time-sel-item.c : Use the new store/view
	* gui/dialogs/Makefile.am : don't install the etspec anymore.
	* gui/dialogs/event-editor.c : Use the new store/view.
	* gui/dialogs/meeting-page.c : Use the new store/view.
	* gui/dialogs/shedule-page.c : Use the new store/view.
	* gui/dialogs/task-editor.c : Use the new store/view.

2003-09-29  JP Rosevear <jpr@ximian.com>

	* conduits/todo/Makefile.am: link to libical-evolution

	* conduits/calendar/Makefile.am: ditto	
	
2003-09-26  JP Rosevear <jpr@ximian.com>

	* pcs/cal-backend.c (cal_backend_class_init): remove cal_added
	signal

2003-09-26  JP Rosevear <jpr@ximian.com>

	* pcs/cal.h: add protos

	* pcs/cal.c (cal_get_backend): accessor
	(cal_get_listener): ditto

	* pcs/cal-factory.c (impl_CalFactory_getCal): update to new
	routine name

	* pcs/cal-backend.h: add protos
	
	* pcs/cal-backend.c (cal_backend_init): init client mutex
	(cal_backend_finalize): destroy client mutex
	(cal_destroy_cb): just remove the client
	(listener_died_cb): remove the client, the listener died so it
	can't really do anything
	(last_client_gone): signal the last client gone
	(cal_backend_add_client): add a client with locking and listen for
	the death of the listener
	(cal_backend_remove_client): remove client

2003-09-26  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-sync.c (_cal_backend_create_object): only free the
	returned UID if it's not NULL.

	* pcs/cal.c (cal_notify_object_created): dont send NULL strings to
	ORBit code.

2003-09-26  Rodrigo Moya <rodrigo@ximian.com>

	* gui/comp-util.c (cal_comp_is_on_server): free the icalcomponent
	returned from cal_client_get_object, and return TRUE if we find
	the component on the backend.

	* gui/e-day-view.c (process_component):
	* gui/e-week-view.c (process_component): added missing case, so that
	we also display recurrent meetings starting before the time range and
	ending after the time range.

	* cal-client/cal-listener.c (impl_notifyReadOnly): pass the
	'read_only' argument to the signal callback correctly (a gboolean
	not a 'gboolean *').

	* gui/comp-editor-factory.c (resolve_pending_requests): removed
	the g_assert on 'oc->pending != NULL', since there are now cases
	(local calendar) where we get to call this function (cal_opened_cb)
	with no pending requests yet.

2003-09-25  JP Rosevear <jpr@ximian.com>

	* gui/calendar-commands.c (publish_freebusy_cmd): adapt to new
	get_free_busy api

	* conduits/calendar/calendar-conduit.c (post_sync): ditto
	(pre_sync): ditto

	* conduits/todo/todo-conduit.c (pre_sync): ditto
	(post_sync): ditto

	* gui/e-meeting-model.c (refresh_busy_periods): ditto

	* gui/e-itip-control.c (send_freebusy): ditto

	* gui/e-cal-view.c (on_publish): ditto

	* cal-client/cal-listener.h: add signals

	* cal-client/cal-listener.c (build_change_list): move here from
	cal-client.c
	(impl_notifyChanges): implement
	(build_free_busy_list): util to create the GList of free busy
	objects
	(impl_notifyFreeBusy): implement
	(cal_listener_class_init): set free busy and changes epv methods,
	add signals

	* cal-client/cal-client.h: update protos

	* cal-client/cal-client.c (cal_get_changes_cb): get changes call
	back
	(cal_get_free_busy_cb): get free busy call back
	(cal_client_init): listen for free busy and changes signals
	(cal_client_get_changes): convert to new threaded sync api
	(cal_client_get_free_busy): ditto

	* pcs/cal.h: add protos

	* pcs/cal.c: remove dead type conversion function
	(impl_Cal_getChanges): implement by just calling, no return stuff
	(impl_Cal_getFreeBusy): ditto
	(cal_notify_changes): do getChanges callback
	(cal_notify_free_busy): do getFreeBusy callback

	* pcs/cal-backend.h: update protos, vmethods
	
	* pcs/cal-backend.c (cal_backend_get_free_busy): call through
	(cal_backend_get_changes): ditto

	* pcs/cal-backend-sync.h: add vmethods, protos

	* pcs/cal-backend-sync.c (cal_backend_sync_get_changes): call
	through
	(cal_backend_sync_get_free_busy): ditto
	(_cal_backend_get_changes): backend implementation, notify
	(_cal_backend_get_free_busy): ditto
	(cal_backend_sync_class_init): set free busy and changes
	implementations

	* pcs/cal-backend-file.c (cal_backend_file_get_free_busy): convert
	to sync backend method
	(cal_backend_file_compute_changes_foreach_key): remove from the
	hash here
	(cal_backend_file_compute_changes): no need to build the sequence
	here
	(cal_backend_file_get_changes): convert to sync backend method
	(cal_backend_file_class_init): set sync backend methods for free
	busy and changes

	* idl/evolution-calendar.idl: convert getChanges and getFreeBusy
	to new async api

2003-09-25  JP Rosevear  <jpr@ximian.com>

	* pcs/cal-backend.h: remove dead result enums

	* pcs/cal-backend.c: fix comments

	* idl/evolution-calendar.idl: remove dead exceptions

2003-09-25  JP Rosevear <jpr@ximian.com>

	* pcs/cal.c (cal_notify_default_object): send back the empty
	string if the object is NULL
	(cal_notify_object): ditto

2003-09-25  JP Rosevear <jpr@ximian.com>

	* gui/comp-editor-factory.c (edit_existing): convert to api
	changes

	* conduits/todo/todo-conduit.c (local_record_from_uid): ditto
	(pre_sync): ditto

	* conduits/calendar/calendar-conduit.c (local_record_from_uid):
	ditto
	(pre_sync): ditto

	* importers/icalendar-importer.c (update_single_object): ditto

	* gui/dialogs/comp-editor.c (obj_updated_cb): ditto

	* gui/e-itip-control.c (get_real_item): ditto
	(find_server): ditto

	* gui/comp-util.c (cal_comp_is_on_server): ditto
	(cal_comp_event_new_with_defaults): ditto
	(cal_comp_task_new_with_defaults): ditto

	* cal-client/cal-listener.h: add signals

	* cal-client/cal-listener.c (impl_notifyDefaultObjectRequested):
	implement
	(impl_notifyObjectRequested): ditto
	(cal_listener_class_init): set above epv implementations, add signals

	* cal-client/cal-client.h: update protos

	* cal-client/cal-client.c (cal_default_object_requested_cb): get
	default object callback
	(cal_object_requested_cb): get object callback
	(cal_client_init): listen for get and get default object signals
	(cal_client_get_default_object): convert to new sync api
	(cal_client_get_object): ditto

	* pcs/cal.h: add protos

	* pcs/cal.c (impl_Cal_getDefaultObject): just call the backend, it
	does the notification now
	(impl_Cal_getObject): ditto
	(cal_notify_default_object): do getDefaultObject response
	(cal_notify_object): do getObject response

	* pcs/cal-backend.h: remove vmethods, protos

	* pcs/cal-backend.c: remove a couple of dead functions
	(cal_backend_class_init): get_object_component is no longer a
	vmethod
	(cal_backend_get_default_object): call through
	(cal_backend_get_object): ditto

	* pcs/cal-backend-sync.h: add protos, vmethods

	* pcs/cal-backend-sync.c (cal_backend_sync_get_default_object):
	call through
	(cal_backend_sync_get_object): ditto
	(_cal_backend_discard_alarm): pass correct params to
	cal_notify_discard_alarm
	(_cal_backend_get_default_object): call through and notify
	(_cal_backend_get_object): ditto
	(cal_backend_sync_class_init): set backend implementations

	* pcs/cal-backend-file.c (cal_backend_file_get_default_object):
	convert to sync backend method
	(cal_backend_file_get_object): ditto
	(cal_backend_file_compute_changes_foreach_key): just look up the
	component rather than using the backend vmethod
	(cal_backend_file_remove_object): return valid sync status codes
	(cal_backend_file_class_init): move get_object, get_default_object
	to sync class

	* idl/evolution-calendar.idl: convert getObject and
	getDefaultObject to new async idl

2003-09-25  JP Rosevear  <jpr@ximian.com>

	* pcs/cal.c (impl_Cal_discardAlarm): just call the backend
	function, it does the notification
	(cal_notify_alarm_discarded): notify of discard alarm call

	* pcs/cal-backend.h: update proto

	* pcs/cal-backend.c (cal_backend_discard_alarm): call through

	* pcs/cal-backend-sync.h: add proto, vmethod

	* pcs/cal-backend-sync.c (cal_backend_sync_discard_alarm): call
	through
	(_cal_backend_discard_alarm): call through and notify
	(cal_backend_sync_class_init): set discard alarm implementation

	* pcs/cal-backend-file.c (cal_backend_file_discard_alarm): match
	sync backend vmethod
	(cal_backend_file_class_init): set alarm vmethod implementation

	* idl/evolution-calendar.idl: switch discardAlarm to new api

	* gui/alarm-notify/alarm-queue.c (remove_queued_alarm): match new
	api

	* cal-client/cal-listener.h: add signal

	* cal-client/cal-listener.c (impl_notifyAlarmDiscarded): implement
	(cal_listener_class_init): add alarm, send, receive epv functions,
	alarm signal

	* cal-client/cal-client.h: update proto

	* cal-client/cal-client.c (cal_alarm_discarded_cb): discardAlarm
	callback
	(cal_client_init): listen to discard alarm signal
	(cal_client_discard_alarm): implement with new threaded sync api

2003-09-25  JP Rosevear <jpr@ximian.com>

	* idl/evolution-calendar.idl: remove unused user exceptions

2003-09-24  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-util.[ch] (cal_backend_util_fill_alarm_instances_seq):
	removed unneeded function.

2003-09-24  JP Rosevear  <jpr@ximian.com>

	* conduits/*/*.c: adjust to new timezone api calls

	* gui/*.c: ditto

	* gui/dialogs/*.c: ditto

	* cal-client/cal-listener.h: add new signals

	* cal-client/cal-listener.c (convert_status): convert invalid
	object as well
	(impl_notifyTimezoneRequested): implement
	(impl_notifyDefaultTimezoneSet): ditto
	(cal_listener_class_init): set epv implementations for timezone
	functions
	(cal_listener_class_init): create timezone response signals

	* cal-client/cal-client.h: update protos

	* cal-client/cal-client.c: fix return values all over the place
	(cal_get_timezone_cb): getTimezone response
	(cal_query_cb): setDefaultTimezone response
	(cal_client_init): listen for new response signals
	(cal_client_get_timezone): implement using new thread sync api
	(cal_client_ensure_timezone_on_server): use add timezone call
	(cal_client_set_default_timezone): oimplement using new thread sync
	api

	* cal-client/cal-client-types.h: add invalid object status code

	* idl/evolution-calendar.idl: getQuery no longer raises any user
	exceptions, remove dead types and exceptions

2003-09-24  JP Rosevear <jpr@ximian.com>

	* pcs/cal.h: new protos

	* pcs/cal.c (impl_Cal_getTimezone): call backend implementation
	(impl_Cal_addTimezone): ditto
	(impl_Cal_setDefaultTimezone): ditto
	(cal_class_init): set epv implementations of timezone functions
	(cal_notify_timezone_requested): notify of get timezone response
	(cal_notify_default_timezone_set): notify of default timezone
	being set

	* pcs/cal-backend.h: new vmethods, protos

	* pcs/cal-backend.c (cal_backend_class_init): init new timezone
	vmethods
	(cal_backend_get_timezone): call through
	(cal_backend_set_default_timezone): ditto
	(cal_backend_add_timezone): ditto
	(cal_backend_internal_get_default_timezone): ditto
	(cal_backend_internal_get_timezone): ditto

	* pcs/cal-backend-sync.h: add vmethods, protos

	* pcs/cal-backend-sync.c (cal_backend_sync_get_timezone): call
	through
	(cal_backend_sync_set_default_timezone): ditto
	(_cal_backend_set_default_timezone): call through and notify
	(_cal_backend_get_timezone): ditto
	(cal_backend_sync_class_init): set backend implementations for new
	funcs

	* pcs/cal-backend-object-sexp.c (func_occur_in_time_range): get
	time_t values based on the zone

	* pcs/cal-backend-file.c: reorg so we don't have to prototype
	everything
	(cal_backend_file_get_timezone): implement the sync backend way
	(cal_backend_file_add_timezone): ditto
	(cal_backend_file_set_default_timezone): ditto
	(cal_backend_file_internal_get_default_timezone): internal method,
	for sexp comparison
	(cal_backend_file_internal_get_timezone): ditto

	* idl/evolution-calendar.idl: convert timezone routines to async
	api

2003-09-23  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-object-sexp.c (func_occur_in_time_range): dont expand
	recurrences, since they are supposed to be expanded in the backends.
	(instance_occur_cb, resolve_tzid): removed unneeded functions.

	* pcs/cal-backend-file.c (cal_backend_file_add_timezone): guard against
	adding the timezone if it's already there.

2003-09-23  JP Rosevear <jpr@ximian.com>

	* pcs/cal.c (cal_notify_object_created): notify with the object,
	not the uid

	* gui/e-cal-model.c (add_new_client): don't listen for
	non-existent signal

2003-09-23  JP Rosevear <jpr@ximian.com>

	* cal-client/cal-client.h: remove dead proto

2003-09-23  JP Rosevear <jpr@ximian.com>

	* cal-client/cal-client.h: remove send result enum

	* gui/itip-utils.c (comp_server_send): use the new send_objects
	routine

2003-09-23  JP Rosevear <jpr@ximian.com>

	* cal-client/cal-client.h: remove send result enum

2003-09-23  JP Rosevear <jpr@ximian.com>

	* cal-client/cal-client.h: remove enum, protos

	* cal-client/cal-client.c: remove remove status enum typing

2003-09-23  Rodrigo Moya <rodrigo@ximian.com>

	* importers/icalendar-importer.c (update_objects): new function
	to manage the update of components, taking into account
	VTIMEZONE components.
	(process_item_fn, gnome_calendar_import_data_fn): use
	update_objects instead of cal_client_update_objects.

2003-09-23  JP Rosevear <jpr@ximian.com>

	* pcs/cal.h: update proto

	* pcs/cal.c (impl_Cal_addTimezone): just call add_timezone, it
	does the notification
	(cal_notify_object_created): only notify the query if the object
	matches
	(cal_notify_object_removed): ditto

	* pcs/cal-backend.h: update proto, vmethod

	* pcs/cal-backend.c (cal_backend_add_timezone): returns void

	* pcs/cal-backend-sync.h: update proto, vmethod

	* pcs/cal-backend-sync.c (cal_backend_sync_remove_object): add the
	object as an out param
	(_cal_backend_remove_object): get the object and pass it in the
	notification

	* pcs/cal-backend-file.c (cal_backend_file_create_object): kill
	cal_backend_file_update_objects call, its more efficient to create
	the comp ourselves; stamp the creation time, add the component to
	the toplevel
	(cal_backend_file_modify_object): kill the
	cal_backend_file_update_objects call, add the component to the
	toplevel
	(cal_backend_file_remove_object): pass back the object when
	removing

2003-09-23  JP Rosevear  <jpr@ximian.com>

	* cal-client/cal-query.c (cal_query_finalize): disconnect the
	signal handlers

	* cal-client/cal-client.c (cal_client_get_query): unref the
	listener when done

2003-09-23  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.c (selection_received): add VTIMEZONE components
	contained in the clipboard data to the backend.

2003-09-22  JP Rosevear <jpr@ximian.com>

	* gui/dialogs/comp-editor.c (save_comp): modify and create instead
	of update, simplify mod code

2003-09-22  JP Rosevear <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_finish_long_event_resize): modify
	the object instead of update, simplify the instance handling
	(e_day_view_finish_resize): ditto
	(e_day_view_on_top_canvas_drag_data_received): ditto
	(e_day_view_on_main_canvas_drag_data_received): ditto

2003-09-22  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (cal_client_get_alarms_in_range): use
	'has-alarms' function in the search expression.

	* pcs/cal-backend-object-sexp.c (func_has_alarms): new SExp function.

2003-09-22  JP Rosevear <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_on_editing_stopped): create the
	object if its not on the server or modify it if it is

	* gui/e-week-view.c (e_week_view_on_editing_stopped): we return if
	there is no text and it *not* on the server

2003-09-22  JP Rosevear <jpr@ximian.com>

	* gui/e-week-view.c (e_week_view_on_editing_stopped): create the
	object if its not on the server or modify it if it is

2003-09-22  JP Rosevear <jpr@ximian.com>

	* gui/gnome-cal.h: remove proto

	* gui/gnome-cal.c: remove gnome_calendar_unrecur_selection

	* gui/e-week-view.h: remove proto

	* gui/e-week-view.c: remove e_week_view_unrecur_appointment

	* gui/e-day-view.h: remove proto

	* gui/e-day-view.c: remove e_day_view_unrecur_appointment

	* gui/e-cal-view.c: remove on_unrecur_appointment (this is handled
	better via recurrence id's now)

2003-09-22  JP Rosevear <jpr@ximian.com>

	* gui/e-itip-control.c (update_attendee_status): ifdef out, leave
	temporarily for reference, but otherwise it shouldn't be needed
	(update_item): switch to using receive objects
	(ok_clicked_cb): update item when receiving a reply

	* gui/e-calendar-table.c (selection_received): switch to using
	create object from update_objects

	* gui/e-cal-view.c (selection_received_add_event): util routine to
	prevent duplication
	(selection_received): use above

	* gui/e-cal-model.c (ecm_set_value_at): switch to using modify
	object from update_objects
	(ecm_append_row): switch to using create object from
	update_objects

	* gui/e-cal-model-calendar.c (ecmc_set_value_at): switch to using
	modify object from update_objects

	* gui/e-cal-model-tasks.c (ecmt_set_value_at): ditto

2003-09-22  Hans Petter Jansson  <hpj@ximian.com>

	* cal-util/Makefile.am (libical_util_la_LIBADD):
	libical.la -> libical-evolution.la

	* importers/Makefile.am (libevolution_calendar_importers_la_LIBADD):
	libicalvcal.la -> libicalvcal-evolution.la

	
2003-09-19  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: removed getAlarmsInRange and
	getAlarmsForObject methods.

	* pcs/cal.c (impl_Cal_getAlarmsInRange, impl_Cal_getAlarmsForObject):
	removed unneeded CORBA methods.
	(cal_class_init): dont set removed methods in the epv.

	* pcs/cal-backend.[ch]: removed get_alarms_in_range and
	get_alarms_for_object virtual methods.
	(cal_backend_get_alarms_in_range, cal_backend_get_alarms_for_object):
	removed.
	(cal_backend_class_init): dont set removed virtual methods.

	* pcs/cal-backend-file.c (cal_backend_file_get_alarms_in_range,
	cal_backend_file_get_alarms_for_object): removed.
	(cal_backend_file_class_init): dont set removed virtual methods.

2003-09-19  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (cal_client_get_alarms_in_range): changed
	to use queries.
	(build_component_alarms_list): create the alarm list from a list
	of iCalendar strings.
	(build_alarm_instance_list): removed.
	(cal_client_get_alarms_for_object): dont call the CORBA methods,
	just get alarms by itself.

2003-09-18  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-listener.[ch]: added "add_timezone" signal.
	(impl_notifyTimezoneAdded): implemented new CalListener method.
	(cal_listener_class_init): create "add_timezone" signal for the class.

	* cal-client/cal-client.[ch] (cal_client_add_timezone): new function.
	(cal_client_init): connect to "add_timezone" signal on the
	CalListener.
	(cal_add_timezone_cb): callback for the "add_timezone" signal.

2003-09-18  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: added 'notifyTimezoneAdded' method
	to the Calendar::Listener interface.

	* pcs/cal-backend-sync.[ch] (cal_backend_sync_add_timezone):
	(_cal_backend_add_timezone): new functions for the new virtual
	method implementation.

	* pcs/cal.[ch] (cal_notify_timezone_added): new function.

	* pcs/cal-backend-file.c (cal_backend_add_timezone): converted to
	return a CalBackendSyncStatus.
	(cal_backend_file_class_init): the 'add_timezone' method we implement
	is the one in the CalBackendSync class.
	(cancel_receive_object): added missing 'return'.
	(free_cal_component): removed unused function.

2003-09-17  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (cal_backend_add_timezone): added new
	virtual method implementation.

	* pcs/cal.c (impl_Cal_addTimezone): check return value from
	cal_backend_add_timezone, and set an exception if an error is
	returned.

2003-09-16  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: added addTimezone method.

	* pcs/cal.c (impl_Cal_addTimezone): implemented new method.
	(cal_class_init): set new method on the epv.

	* pcs/cal-backend.[ch]: added 'add_timezone' virtual method.
	(cal_backend_add_timezone): implemented new virtual method.

	* pcs/cal-backend-file.c (cal_backend_file_modify_object): it's
	cal_component_get_as_string, not cal_component_as_string.

	* cal-client/cal-client.c (cal_client_ensure_timezone_on_server):
	dont use anymore updateObjects method, use addTimezone instead.
	
2003-09-16  Rodrigo Moya <rodrigo@ximian.com>

	* conduits/todo/Makefile.am: removed libwombat reference.

2003-09-15  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (cal_backend_file_create_object): return
	the UID of the added object.
	(cal_backend_file_remove_object): ditto for old_object.

2003-09-15  JP Rosevear <jpr@ximian.com>

	* conduits/todo/todo-conduit.c (replace_record): switch to modify
	object
	(add_record): switch to using create object

	* conduits/calendar/calendar-conduit.c (process_multi_day): switch
	to using create object
	(add_record): switch to using create object
	(replace_record): switch to modify object

	* cal-client/cal-listener.h: add signals

	* cal-client/cal-listener.c (impl_notifyObjectsReceived):
	implement listener method
	(build_object_list): ditto
	(cal_listener_class_init): create receive_objects and send_objects
	signals

	* cal-client/cal-client.h: add, update protos

	* cal-client/cal-client.c (cal_objects_received_cb):
	receive_objects callback
	(cal_objects_sent_cb): send_objects callback
	(cal_client_init): listen for above signals
	(cal_client_create_object): pass back uid
	(cal_client_receive_objects): implement
	(cal_client_send_objects): ditto

	* idl/evolution-calendar.idl: add receive/send objects methods and
	yank updateObjects

	* pcs/cal.h: add protos

	* pcs/cal.c (impl_Cal_receiveObjects): implement
	(impl_Cal_sendObjects): ditto
	(cal_class_init): add epv methods
	(cal_notify_objects_received): notify of objects received call,
	updating queries
	(cal_notify_objects_sent): notify of objects sent

	* pcs/cal-backend.h: remove proto

	* pcs/cal-backend.c (cal_backend_class_init): remove obj_updated
	signal
	(cal_backend_class_init): init vmethods properly
	(cal_backend_receive_objects): call through
	(cal_backend_send_objects): ditto

	* pcs/cal-backend-sync.h: add protos, vmethods

	* pcs/cal-backend-sync.c (cal_backend_sync_receive_objects): call
	through
	(cal_backend_sync_send_objects): ditto
	(_cal_backend_receive_objects): call backend method and notify
	(_cal_backend_send_objects): ditto
	(cal_backend_sync_class_init): override send/receive object
	vmethods

	* pcs/cal-backend-file.c (cal_backend_file_class_init): set
	remove/send objects sync vmethods
	(cal_backend_file_create_object): remove call to dead method
	(cal_backend_file_remove_object): ditto
	(cal_backend_file_modify_object): ditto
	(cancel_received_object): cancel an object
	(check_tzids): check we have all the tzid's for the object
	(cal_backend_file_receive_objects): receive a bunch of objects via
	itip
	(cal_backend_file_send_objects): skeleton implementation

2003-09-15  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: added InvalidObject CallStatus.

	* pcs/cal-backend-file.c (cal_backend_file_create_object): implemented.
	(cal_backend_file_modify_object): implemented.

2003-09-15  Harry Lu  <harry.lu@sun.com>

	* gui/apps_evolution_calendar.schemas: change last_notification_time's
	type from string to int.

2003-09-12  Bolian Yin <bolian.yin@sun.com>

	* e-week-view.c (e_week_view_focus): make jump button focusable
	 (e_week_view_on_jump_button_event): key_press and focus event for jump button
	 (e_week_view_jump_to_button_item): new function, jump to the day view.
	 (e_week_view_is_jump_button_visible): new function.

	
2003-09-12  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal.c (cal_notify_cal_address, cal_notify_alarm_email_address,
	cal_notify_ldap_attribute, cal_notify_static_capability):
	make sure we always notify listeners, regardless of whether the
	string is empty or not.

	* cal-client/cal-client.c (check_capability): guard against using
	NULL strings with strstr.

2003-09-12  JP Rosevear <jpr@ximian.com>

	* cal-client/client-test.c (cal_opened_cb): listen for other query
	signals

	* cal-client/cal-listener.h: add signals

	* cal-client/cal-listener.c (impl_notifyObjectCreated): implement
	(impl_notifyObjectModified): implement
	(cal_listener_class_init): assign epv implementations
	(cal_listener_class_init): add create/modify object signals

	* cal-client/cal-client.h: add protos

	* cal-client/cal-client.c (cal_object_created_cb): object created
	callback
	(cal_object_modified_cb): object modified callback
	(cal_client_init): listen for create/modify object signals from
	the listener
	(cal_client_create_object): call the create object method
	(cal_client_modify_object): call the modify object method

	* cal-client/client-test.c (cal_opened_cb): listen for all the
	query signals, tidy

2003-09-12  JP Rosevear <jpr@ximian.com>

	* pcs/cal.c (impl_Cal_createObject): implement
	(impl_Cal_modifyObject): ditto
	(cal_class_init): set epv methods for create/modify

	* pcs/cal-backend.h: add protos, vmethod

	* pcs/cal-backend.c (cal_backend_class_init): init new vmethods
	(cal_backend_create_object): call through
	(cal_backend_modify_object): ditto

	* pcs/cal-backend-sync.h: add protos, vmethods

	* pcs/cal-backend-sync.c (cal_backend_sync_create_object): call
	through
	(cal_backend_sync_modify_object): ditto
	(_cal_backend_create_object): create object and notify
	(_cal_backend_modify_object): modify object and notify

	* pcs/cal-backend-file.c (cal_backend_file_create_object):
	skeleton routine for creating objects
	(cal_backend_file_modify_object): ditto for modifying

	* idl/evolution-calendar.idl: add createObject and modifyObject
	calls

2003-09-12  JP Rosevear  <jpr@ximian.com>

	* pcs/cal.c (cal_notify_object_removed): its uid, not uids

2003-09-12  JP Rosevear <jpr@ximian.com>

	* pcs/query.h: add protos

	* pcs/query.c (query_object_matches): use the sexp to check for a
	match
	(query_notify_objects_added_1): notify of one object added to
	query
	(query_notify_objects_modified_1): ditto for modification
	(query_notify_objects_removed_1): ditto for removal

	* pcs/cal.h: add protos

	* pcs/cal.c (cal_notify_object_created): notify of object creation
	(cal_notify_object_modified): notify of object modification
	(cal_notify_object_removed): use the _1 routines

	* pcs/cal-backend-file.c (match_recurrence_sexp): this returns a
	boolean
	(cal_backend_file_update_objects): don't signal removals here now

	* idl/evolution-calendar.idl: add object created and modified
	responses

	
2003-09-11  JP Rosevear <jpr@ximian.com>

	* pcs/cal.h: update proto

	* pcs/cal.c (cal_notify_object_removed): notify relevant queries
	of removal

	* pcs/cal-backend.c (cal_backend_get_queries): ref the list before
	passing it back

	* pcs/cal-backend-sync.c (_cal_backend_remove_object): pass uid to
	notification

2003-09-11  JP Rosevear <jpr@ximian.com>

	* pcs/cal-backend-file.c (match_recurrence_sexp): don't unref the
	component

	* cal-client/client-test.c (cal_opened_cb): listen to objects
	added signal
	(objects_added_cb): print the object uid
	
2003-09-11  JP Rosevear <jpr@ximian.com>

	* pcs/cal-backend-object-sexp.c (cal_backend_object_sexp_text):
	return the base text

2003-09-11  JP Rosevear <jpr@ximian.com>

	* gui/gnome-cal.c (update_query): fix c/p typo

2003-09-11  JP Rosevear <jpr@ximian.com>

	* gui/gnome-cal.c (update_query): start the query

	* gui/e-cal-model.c (update_query_for_client): ditto

	* cal-client/client-test.c (cal_opened_cb): ditto
	
2003-09-11  JP Rosevear <jpr@ximian.com>

	* cal-client/cal-query.h: add proto

	* cal-client/cal-query.c (cal_query_start): start the query

2003-09-11  JP Rosevear <jpr@ximian.com>

	* gui/dialogs/delete-error.c (delete_error_dialog): accept GError
	and base error messages on that

	* gui/dialogs/delete-error.h: update proto

	* gui/e-tasks.c (e_tasks_delete_completed): pass extra param to
	cal_client_remove_object

	* conduits/todo/todo-conduit.c (delete_record): ditto

	* conduits/calendar/calendar-conduit.c (process_multi_day): ditto
	(delete_record): ditto
	
	* gui/gnome-cal.c (gnome_calendar_purge): ditto

	* gui/dialogs/comp-editor.c (delete_comp): ditto
	
	* gui/e-cal-view.c (e_cal_view_cut_clipboard): pass the error to
	delete_error_dialog
	(delete_event): ditto
	(e_cal_view_delete_selected_occurrence): ditto
	
	* gui/e-itip-control.c (remove_item): ditto

	* gui/e-calendar-table.c (delete_selected_components): ditto

	* cal-client/cal-listener.h: add signal

	* cal-client/cal-listener.c (impl_notifyObjectRemoved): implement
	(cal_listener_class_init): set object removed implementation and
	create signal

	* cal-client/cal-client.h: update protos

	* cal-client/cal-client.c (cal_object_removed_cb): object removal
	callback
	(cal_client_init): listen for object removal signal
	(cal_client_remove_object_with_mod): make call synchronous
	(cal_client_remove_object): pass new params

	* pcs/cal.h: add proto

	* pcs/cal.c (impl_Cal_removeObject): just call the backend
	function
	(cal_notify_object_removed): notify of removal

	* pcs/cal-backend.h: remove and update protos, remove signal

	* pcs/cal-backend.c (cal_backend_class_init): kill obj_removed
	signal
	(cal_backend_remove_object): there is no return value now

	* pcs/cal-backend-sync.h: add vmethod, proto

	* pcs/cal-backend-sync.c (cal_backend_sync_remove_object): call
	through
	(_cal_backend_remove_object): remove the object and then do the
	notification

	* pcs/cal-backend-file.c (cal_backend_file_class_init): remove
	object is not part of the sync class
	(cal_backend_file_update_objects): there is no more removed signal
	(cal_backend_file_remove_object): return sync status codes

	* idl/evolution-calendar.idl: make removeObject oneway and and a
	notification method in the listener

2003-09-11  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.[ch] (query_get_text): new function.
	(query_get_object_sexp): new function.

	* pcs/cal-backend-file.c (cal_backend_file_start_query): implemented.

2003-09-11  Hans Petter Jansson  <hpj@ximian.com>

	* cal-util/Makefile.am (libcal_util_la_LIBADD):
	libical-evolution.la -> libical.la

	* cal-util/cal-component.c (cal_component_get_classification)
	(cal_component_set_classification)
	(get_text_list)
	(get_icaltimetype)
	(get_datetime)
	(get_period_list)
	(get_recur_list)
	(cal_component_get_transparency)
	(cal_component_set_transparency): Adapt to new libical.

	* cal-util/cal-util.c (cal_util_event_dates_match): Ditto.

	* pcs/cal-backend-file.c (create_user_free_busy): Ditto.

	* gui/e-cal-model-tasks.c (get_completed)
	(get_due)
	(get_due_status): Ditto.

	* gui/e-cal-model.c (get_dtstart)
	(set_classification): Ditto.

	* gui/e-cal-model-calendar.c (get_dtend)
	(get_transparency)
	(set_transparency): Adapt to new libical and fix a comparison bug.

	* importers/Makefile.am (libevolution_calendar_importers_la_LIBADD):
	libical-evolution.la -> libical.la

2003-09-11  Dan Winship  <danw@ximian.com>

	* cal-util/Makefile.am (privlib_LTLIBRARIES): Remove
	libcal-util-static.la

	* cal-client/Makefile.am (noinst_LTLIBRARIES): Remove
	libcal-client-static.la

	* conduits/calendar/Makefile.am (libecalendar_conduit_la_LIBADD):
	use non-static libraries. The static ones were only needed for
	libtool 1.3.

	* conduits/todo/Makefile.am (libetodo_conduit_la_LIBADD): Likewise

        * gui/Makefile.am (IDL_GENERATED): Don't compile the calendar idl
        here. It's already in libcal-client.

2003-09-11  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* conduits/todo/Makefile.am:
	Statically link with wombat. Fix ETodo conduit.
	(Mdk bug #5348)

	
2003-09-10  JP Rosevear  <jpr@ximian.com>

	* pcs/cal.h: update proto

	* pcs/cal.c (impl_Cal_getObjectList): just call the backend, it
	will do the notification now
	(cal_notify_object_list): the list is a list of strings

	* pcs/cal-backend.h: update vmethod, proto

	* pcs/cal-backend.c (cal_backend_get_object_list): call through

	* pcs/cal-backend-sync.h: add proto, vmethod

	* pcs/cal-backend-sync.c (cal_backend_sync_get_object_list): call
	through
	(_cal_backend_get_object_list): get the list of objects from the
	sync backend and do the notification
	(cal_backend_sync_class_init): set vmethod implementation

	* pcs/cal-backend-file.c (cal_backend_file_class_init): the get
	object list call is now part of the sync backend
	(cal_backend_file_get_object_list): return a status and put the
	object list in the passed in param

2003-09-10  JP Rosevear  <jpr@ximian.com>

	* pcs/cal-backend.c (cal_backend_finalize): unref the elist
	(cal_backend_init): init the query elist

2003-09-10  JP Rosevear <jpr@ximian.com>

	* gui/gnome-cal.c (dn_query_objects_added_cb): match new query
	signals - just tag here
	(dn_query_objects_modified_cb): always retag
	(dn_query_objects_removed_cb): ditto
	(update_query): connect to new signals
	(gnome_calendar_destroy): we don't keep a list of expunging
	queries
	(gnome_calendar_purge): no need to do the
	expunge async, just get the object list immediately

	* gui/e-tasks.c (e_tasks_delete_completed): no need to do the
	expunge async, just get the object list immediately

	* gui/e-cal-model.c (query_objects_added_cb): callback for objects
	added to the query
	(query_objects_modified_cb): ditto for modifications
	(query_objects_removed_cb): ditto for removed
	(query_progress_cb): progress of the query
	(query_done_cb): query is done
	(update_query_for_client): connect to the new signals

	* cal-client/client-test.c (cal_opened_cb): run a query

	* cal-client/cal-query.c: we are given the listener now - listen
	for signals from the listener and emit signals matching the api
	changes

	* cal-client/query-listener.[hc]: rewrite to match new query
	listener methods and emit signals rather than using function
	callbacks

	* cal-client/cal-marshal.list: add to marshallers

	* cal-client/cal-listener.h: add query signal

	* cal-client/cal-listener.c (impl_notifyQuery): implement
	(cal_listener_class_init): set notifyQuery method
	(cal_listener_class_init): add query signal

	* cal-client/cal-client.h: update protos

	* cal-client/cal-client.c (cal_query_cb): handle response to
	getQuery
	(cal_client_init): listen for query signal
	(cal_client_get_query): get a query from the calendar

	* pcs/query.h: update protos

	* pcs/query.c: rewrite to implement the query start method and
	provide notification calls

	* pcs/cal.h: add proto

	* pcs/cal.c (impl_Cal_getQuery): re-implement so the backend
	doesn't create the query for us
	(cal_notify_query): respond with the query

	* pcs/cal-factory.c: re-order includes

	* pcs/cal-common.h: add types

	* pcs/cal-backend.h: update protos, vmethods

	* pcs/cal-backend.c (cal_backend_class_init): init start_query
	vmethod
	(cal_backend_finalize): free mutex
	(cal_backend_start_query): call through
	(cal_backend_add_query): add a query to the list the backend is
	running
	(cal_backend_get_queries): get the query list

	* pcs/cal-backend-object-sexp.h: add proto

	* pcs/cal-backend-file.c (cal_backend_file_start_query): skeleton
	for new backend implementation

	* pcs/Makefile.am: don't build dead files

	* idl/evolution-calendar.idl: make the getQuery call async, make
	the query listener calls oneway and match the addressbook

2003-09-09  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (cal_backend_file_get_object_component):
	added case for getting the individual recurrences if 'rid' is
	not NULL,

2003-09-09  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (match_object_sexp): expand recurrences
	for recurrent objects.
	(match_recurrence_sexp): add the recurrences that match the query
	expression to the object list.

2003-09-08  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c: don't store all recurrences in the
	private structure.
	
2003-09-04  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c (process_component):
	* gui/e-week-view.c (process_component): dont expand recurrences,
	since they are now expanded by the backends.

2003-09-02  JP Rosevear <jpr@ximian.com>

	* gui/tasks-control.c (sensitize_commands): adapt to cal-client
	threaded sync api changes

	* gui/itip-utils.c (itip_organizer_is_user): ditto

	* gui/gnome-cal.c (gnome_calendar_purge): ditto

	* gui/e-meeting-model.c (process_section): ditto

	* gui/e-calendar-table.c (e_calendar_table_show_popup_menu): ditto

	* gui/e-cal-view.c (e_cal_view_create_popup_menu): ditto

	* gui/calendar-commands.c (sensitize_calendar_commands): ditto
	(sensitize_taskpad_commands): ditto

	* gui/dialogs/task-editor.c (set_menu_sens): ditto

	* gui/dialogs/meeting-page.c (meeting_page_construct): ditto

	* gui/dialogs/event-editor.c (set_menu_sens): ditto

	* gui/dialogs/alarm-page.c (add_clicked_cb): ditto

	* conduits/calendar/calendar-conduit.c (pre_sync): convert to
	cal_client api changes

	* conduits/todo/todo-conduit.c (pre_sync): ditto
	
	* cal-client/client-test.c (list_uids): match new error handling

	* cal-client/cal-marshal.list: marshallers

	* cal-client/cal-listener.[hc]: emit signals for corba listener
	callbacks - start with is_read_only, get_static_capabilities,
	get_cal_address, get_ldap_attribute, open, remove and object_list

	* cal-client/cal-client.h: move the status enum away from here,
	update protos to new thread sync api standard

	* cal-client/cal-client.c: the listener emits signals instead of
	using callback functions now and we return booleans + GError in
	outs for results
	(e_calendar_error_quark): for GError handling
	(cal_read_only_cb): handle listener op callback
	(cal_cal_address_cb): ditto
	(cal_alarm_address_cb): ditto
	(cal_ldap_attribute_cb): ditto
	(cal_static_capabilities_cb): ditto
	(cal_opened_cb): ditto
	(cal_removed_cb): ditto
	(cal_object_list_cb): ditto

	* cal-client/cal-client-types.h: add GError stuff

	* cal-client/Makefile.am: build glib marshal stuff

	* pcs/query.c (backend_opened_cb): comment out some break
	temporarily

	* pcs/cal.h: add protos

	* pcs/cal.c (impl_Cal_open): just call the backend method, it will
	handle the notification
	(impl_Cal_remove): ditto
	(impl_Cal_isReadOnly): ditto
	(impl_Cal_getCalAddress): ditto
	(impl_Cal_getAlarmEmailAddress): ditto
	(impl_Cal_getLdapAttribute): ditto
	(impl_Cal_getStaticCapabilities): ditto
	(impl_Cal_getObjectList): simplify
	(cal_new): set poa to be threaded
	(cal_notify_read_only): notification utils
	(cal_notify_cal_address): ditto
	(cal_notify_alarm_email_address): ditto
	(cal_notify_ldap_attribute): ditto
	(cal_notify_static_capabilities): ditto
	(cal_notify_open): ditto
	(cal_notify_remove): ditto
	(cal_notify_object_list): ditto

	* pcs/cal-factory.c (impl_CalFactory_getCal): dup the key and the
	object
	(cal_factory_new): set poa to be threaded

	* pcs/cal-backend.h: update vmethods and protos

	* pcs/cal-backend.c (cal_backend_get_cal_address): we no longer
	return anything - the callee is responsible for notification
	(cal_backend_get_alarm_email_address): ditto
	(cal_backend_get_ldap_attribute): ditto
	(cal_backend_get_static_capabilities): ditto
	(cal_backend_open): ditto
	(cal_backend_remove): ditto

	* pcs/cal-backend-file.h: update inheritance

	* pcs/cal-backend-file.c: inherit from CalBackendSync and make
	is_read_only, get_static_capabilities, get_cal_address, get_ldap_attribute, open and
	remove match

	* pcs/Makefile.am: build new files

2003-09-02 JP Rosevear  <jpr@ximian.com>

	* idl/evolution-calendar.idl: make all listener callbacks one ways

2003-09-02  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (match_recurrence_sexp, match_object_sexp):
	new callbacks for g_hash_table_foreach in get_object_list.
	(cal_backend_file_get_object_list): don't use the priv->comp list
	to check the components, use the hash table, which contains all
	the recurrences already expanded.
	(add_component): only expand recurrences for recurrent components.

2003-09-01  Andrew Wu <Yang.Wu@sun.com>

	* gui/e-day-view.c:
	(e_day_view_change_event_end_time_up):
	(e_day_view_change_event_end_time_down): Use
	"ctrl+shift+alt+Up/Down" to change the end time of the editing
	event.

2003-08-29  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (lookup_component): take into account the 'rid'
	argument.
	(get_rid_string): new function to convert the recurrence ID to string.
	(add_recurrence_to_object): callback for cal_recur_generate_instances.
	(add_component): expand recurrences and g_strdup the hash's key.
	(free_cal_component): free also the hash's key.
	
2003-08-28  Hans Petter Jansson  <hpj@ximian.com>

	* gui/alarm-notify/alarm-queue.c (tray_icon_blink_cb)
	(display_notification): Use images that come with Evolution instead
	of unreleased stock, for now.

2003-08-28  Hans Petter Jansson  <hpj@ximian.com>

	* gui/alarm-notify/util.[ch]: Added alarm-notify utils.

	* gui/alarm-notify/Makefile.am: Added alarm-notify utils.

	* gui/alarm-notify/alarm-notify-dialog.c (timet_to_str_with_zone):
	Move to util.c.

	* gui/alarm-notify/alarm-queue.c (notify_dialog_cb)
	(on_dialog_removed_cb)
	(notify_dialog_cb)
	(tray_icon_destroyed_cb)
	(tray_icon_clicked_cb)
	(tray_icon_blink_cb)
	(display_notification): Add Rodrigo Moya's code for tray icon
	notification of appointments, with some fixes and blink code by me.
	Requires HEAD gnome-icon-theme for now.

2003-08-27  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #29032.

	* gui/dialogs/task-details-page.c (status_changed): When task status
	is set to "In Progress", set percent complete to 50% only if it was
	previously set to 0% or 100%.

2003-08-27  Bolian Yin <bolian.yin@sun.com>

	* gui/Makefile.am use libevolution-calendar-a11y instead of libevolution-a11y.

2003-08-26  Jack Jia  <jack.jia@sun.com>

	** Fixes #47863.

	* gui/alarm-notify/alarm-notify.c (AlarmNotify_removeCalendar): set
	the initial value of lc_ptr and orig_str_ptr to NULL to avoid crash.


2003-08-26  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: QueryListener::notifyObjUpdated now gets
	a sequence of CalObj's.

	* pcs/query.c (add_component): send the whole object to the listener,
	not just the UID. Improved the way the listeners are notified, by allocating
	a CORBA sequence to be used for all listeners, not one for each.
	(match_component): pass the CalComponent to add_component, not only the UID.
	(start_cached_query_cb): send the whole object to the listener.

	* cal-client/cal-query.[ch]: changed argument names for "obj_updated"
	signal.
	(obj_updated_cb): pass the calobj's, not uid's.

	* gui/e-tasks.c (query_obj_updated_cb):
	* gui/gnome-cal.c (dn_query_obj_updated_cb, purging_obj_updated_cb):
	* gui/e-cal-model.c (query_obj_updated_cb): we now get the object's
	string representation instead of the UID.

2003-08-25  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (cal_client_get_object): added a 'rid' argument
	to match the IDL method.

	* conduits/calendar/calendar-conduit.c (local_record_from_uid):
	* conduits/todo/todo-conduit.c (local_record_from_uid):
	* gui/comp-editor-factory.c (edit_existing):
	* gui/comp-util.c (cal_comp_is_on_server):
	* gui/e-cal-model.c (query_obj_updated_cb):
	* gui/e-itip-control.c (find_server, get_real_item, update_attendee_status):
	* gui/gnome-cal.c (dn_query_obj_updated_cb, purging_obj_updated_cb):
	* gui/dialogs/comp-editor.c (obj_updated_cb): adapted to changes in
	cal_client_get_object().

2003-08-23  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query-backend.c (object_updated_cb):
	* pcs/cal-backend.c (cal_backend_get_type_by_uid): use 'rid' parameter
	where appropriate.

	* pcs/cal-backend-file.c (check_dup_uid): removed unused variables.
	(cal_backend_file_compute_changes_foreach_key): pass a NULL 'rid'
	to cal_backend_get_object().
	(lookup_component): get a 'rid' argument also.
	(cal_backend_file_cancel_object, cal_backend_file_remove_object):
	pass correct number of parameters to lookup_component().

2003-08-22  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: use UID/RID pairs to identify objects.

	* pcs/cal.c (impl_Cal_getObject): added 'rid' parameter.

	* pcs/cal-backend.c (cal_backend_get_object): added 'rid' parameter.
	(cal_backend_get_object_component): ditto.
	(get_object): ditto.

	* pcs/cal-backend-file.c (cal_backend_file_get_object_component):
	added 'rid' parameter.
	(lookup_component): added 'rid' parameter and made it search for the
	recurrence when that parameter is not NULL.
	(cal_backend_file_get_alarms_for_object, cal_backend_file_update_object):
	adapted to changes in lookup_component().
	
2003-08-22  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gui/alarm-notify/notify-main.c: (main):
	Ensure we get UTF-8 strings from gettext.

2003-08-22 Bolian Yin <bolian.yin@sun.com>

	Fixes #47779

	* gnome-cal.c (gnome_calendar_get_visible_time_range): fix the return value bug.

2003-08-21  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.[ch] (cal_client_send_object): use a 'char **'
	for the 'error_msg' argument, instead of a fixed size string.

	* gui/itip-utils.c (comp_server_send): pass the correct parameter to
	cal_client_send_object.

2002-08-20  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-itip-control.c (start_defalt_server): Rename to
	start_default_server_async () and don't run a nested main loop. Let
	the caller deal with the client object and signals.
	(default_server_started_cb): Implement. Async signal handler for
	'cal_opened' signal, does the embedding.
	(object_requested_cb): Rewritten to work asynchronously, and finish
	the embedding when default_server_started_cb() is called.

2003-08-20  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-calendar-table.c (setup_popup_icons): new function to set icons
	on the popup menu items.
	(e_calendar_table_show_popup_menu): call setup_popup_icons.

	* gui/e-cal-view.c (setup_popup_icons): set more icons for the
	popup menu.

2003-08-20  Bolian Yin <bolian.yin@sun.com>

	* gui/Makefile.am : Add a11y dependency.
	* gui/calendar-commands.c (calendar_get_text_for_folder_bar_label)
	* gui/e-cal-view.c: Add two new events: "event_changed" and "event_added" 
	* gui/e-day-view.c (e_day_view_class_init): init a11y.
	  (e_day_view_find_event_from_item): make it public from private
	  (e_day_view_update_event_cb): emit "event_changed" signal
	  (e_day_view_reshape_day_event): emit "event_added" signal
	  (e_day_view_reshape_long_event): emit "event_added" signal
	* gui/e-week-view.c (e_week_view_class_init): init a11y.
	  (e_week_view_find_event_from_item): make it public from private
	  (e_week_view_update_event_cb): emit "event_changed" signal
	  (e_week_view_reshape_event_span): emit "event_added" signal
	* gui/gnome-cal.c (gnome_calendar_class_init): init a11y.
	  (gnome_calendar_get_e_calendar_widget),
	  (gnome_calendar_get_search_bar_widget),
          (gnome_calendar_get_view_notebook_widget): new functions


2003-08-20  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query-backend.c (foreach_uid_cb): use the icalcomponent
	to call icalcomponent_get_uid, not the string.

2003-08-20  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c: store objects by UID and RID.
	(free_object): new function to free the CalBackendFileObject structure.
	(cal_backend_file_dispose): use free_object callback to remove the
	objects in the comp_uid_hash.
	(lookup_component): search correctly the component in the new hash
	table organizarion.
	(check_dup_uid): ditto.
	(add_component): ditto.
	(remove_component): ditto.

2003-08-19  JP Rosevear  <jpr@ximian.com>

	* gui/gnome-cal.c (setup_widgets): set up models here
	(gnome_calendar_construct): not here

	* conduits/calendar/calendar-conduit.c
	(e_calendar_context_destroy): we have a list of calcomponents
	rather than uids now
	(process_multi_day): build a list of components rather than uids
	(pre_sync): use get_object_list instead of getting uids
	(for_each): create local records from calcomponents

	* conduits/todo/todo-conduit.c: as above
	
	* gui/print.c (instance_cb): mark as true if we found an instance
	(print_month_small): see if atleast one instance exists in a
	slight different way

	* cal-client/client-test.c (list_uids): use get_object_list

	* cal-client/cal-listener.h: update protos

	* cal-client/cal-listener.c (cal_listener_class_init): set object
	list callback implementation
	(impl_notifyObjectListRequested): implement
	(cal_listener_construct): take object list callback function
	(cal_listener_new): ditto

	* cal-client/cal-client.h: update protos, add status

	* cal-client/cal-client.c (e_calendar_new_op): create new op
	(e_calendar_get_op): retrieve current op
	(e_calendar_free_op): free the op
	(e_calendar_remove_op): clear current op
	(cal_client_init): create new mutex
	(cal_client_finalize): destroy mutex
	(build_object_list): build list of icalcomponents
	(cal_object_list_cb): handle getObjectList response
	(real_open_calendar): pass extra listener arg
	(cal_client_get_object_list): implement using thread safe mutex
	locking
	(cal_client_get_object_list_as_comp): return calcomponents instead
	of icalcomponents
	(cal_client_generate_instances): just get the object list - no
	need to make it atomic since get_object_list is already atomic

	* pcs/query.c (query_finalize): free new sexp class
	(parse_sexp): use new sexp class
	(match_component): ditto

	* pcs/query-backend.c (foreach_uid_cb): use icalcomponent to
	extract uid
	(query_backend_new): get all objects using object list call

	* pcs/cal.c (impl_Cal_getObjectList): implement
	(cal_class_init): adjust for idl method changes

	* pcs/cal-backend.h: update vmethods, add proto

	* pcs/cal-backend.c (cal_backend_class_init): remove get_uids and
	get_objects_in_range vmethods, add get_object_list vmethod
	(cal_backend_get_object_list): call through to vmethod implementation

	* pcs/cal-backend-object-sexp.[hc]: nice class to represent a sexp
	and search cal components

	* pcs/cal-backend-file.c (cal_backend_file_class_init): remove
	get_uids and get_objects_in_range calls and set get_object_list
	call
	(cal_backend_file_get_object_list): implement
	(create_user_free_busy): use sexp ops to implement
	(cal_backend_file_compute_changes): just iterate over the
	component list rather than fetching uids
	
	* pcs/Makefile.am: build new files

	* idl/evolution-calendar.idl: make opening a oneway call, add
	getObjectList call, remove getUIDS and getObjectsInRange call -
	both can be done with getObjectList; make listener callbacks
	oneway

2003-08-19  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_purge): don't leak the client list.
	(gnome_calendar_destroy): disconnect from all callbacks on all
	loaded clients.
	
2003-08-19  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model-tasks.c (ecmt_get_color_for_component): use
	"black" for normal tasks, since the light colors from the palette
	are too light.

	* gui/gnome-cal.c (gnome_calendar_purge): don't leak the client list.
	(gnome_calendar_destroy): disconnect from all callbacks on all
	loaded clients.

2003-08-18  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c: fixed the problem with a new event being
	created for each keystroke.
	(e_day_view_add_event): don't create a new default component, use
	the one we get as parameter.
	(e_day_view_do_key_press): get the UID from the icalcomponent.

	* gui/e-week-view.c (e_week_view_add_event, e_week_view_do_key_press):
	same as e-day-view.c

2003-08-18  Ettore Perazzoli  <ettore@ximian.com>

	* gui/calendar-component.c (impl_createControls): Oops, pass
	[NULL, NULL] to gtk_scrolled_window_new().

2003-08-18  Ettore Perazzoli  <ettore@ximian.com>

	* gui/main.c (factory): Ref the object from
	calendar_component_peek() before returning it.

2003-08-17  Ettore Perazzoli  <ettore@ximian.com>

	* gui/control-factory.h: #include <bonobo/bonobo-control.h>.

	* gui/Makefile.am (libevolution_calendar_la_LIBADD): Link to
	libeutil.

	* gui/e-calendar-table.c (e_calendar_table_set_status_message):
	Don't use the global_shell_client.

	* gui/main.c (factory): Call calendar_component_peek() for the
	GNOME_Evolution_Calendar_Component OAFIID.

	* gui/GNOME_Evolution_Calendar.server.in.in: Set up the
	GNOME_Evolution_Calendar_Component server and rename
	GNOME_Evolution_Calendar_Factory to
	GNOME_Evolution_Calendar_Factory_2.
	* gui/main.c: Updated IDs accordingly.

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	Use calendar_component_peek_config_directory() instead of
	evolution_dir.
	* gui/gnome-cal.c (setup_widgets): Likewise.
	(gnome_calendar_destroy): Likewise.
	* gui/dialogs/meeting-page.c (meeting_page_construct): Likewise.

	* gui/gnome-cal.c (gnome_calendar_open): #if 0 some code for
	figuring out where the task list is.

	* gui/calendar-component.c: New file.
	* gui/calendar-component.h: New file.

	* gui/itip-utils.c (itip_addresses_get): Unref the GConf client
	from gconf_client_get_default.

2003-08-15  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (ecm_get_color_for_component): use tigert's
	new color palette.
	(cal_removed_cb): when a client is removed, remove it from the model.
	(backend_died_cb): remove it also when the backend dies.
	(add_new_client): connect to new signals for CalClient's.

2003-08-15  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (e_cal_model_finalize): don't unref the
	'accounts' field, since it is internal to itip-utils.c.

	* gui/alarm-notify/alarm-notify.c (alarm_notify_add_calendar):
	initialize all fields of the LoadedClient struct before calling
	cal_client_open_calendar(), since the "cal_opened_cb" signal is
	now emitted within it.

2003-08-14  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.[ch] (e_cal_model_free_component_data): new
	function.

	* gui/e-cal-view.h: added 'allocated_comp_data' field to the
	ECalViewEvent structure.

	* gui/e-day-view.c (e_day_view_add_event): allocate the event's
	ECalModelComponent if it hasn't been set.
	(e_day_view_update_event_cb, e_day_view_remove_event_cb,
	e_day_view_free_event_array): if the ECalModelComponent has
	been allocated by the view, free it here.

	* gui/e-week-event.c (e_week_view_add_event,
	e_week_view_update_event_cb, e_week_view_remove_event_cb,
	e_week_view_free_events): same as EDayView.

2003-08-14  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (e_cal_model_create_component_with_defaults):
	use the default client to call cal_comp_*_new_with_defaults, and
	if no client is available, just create an empty icalcomponent.

	* gui/e-cal-view.c (e_cal_view_init): create an empty model.

	* gui/e-week-view.c (e_week_view_add_event): use the event's client.

2003-08-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): unref the client if there
	is an error.
	(update_query): set status bar messages for progress.
	(update_query_timeout): re-enabled.
	(client_cal_opened_cb): install timeout handler for the query updates.

	* gui/e-cal-view.c (e_cal_view_set_model): connect to all appropriate
	signals on the model, to be called for every change.
	(model_row_changed_cb, model_rows_changed_cb): new model callbacks.

	* gui/e-week-view-event-item.c (e_week_view_event_item_draw): colorize
	the background for multiple days events.

2003-08-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (ecm_append_row, ecm_get_color_for_component):
	* gui/e-cal-model-tasks.c (ecmt_get_color_for_component): merged
	missing bith from calendar-views-with-model branch.

2003-08-13  JP Rosevear  <jpr@ximian.com>

	* cal-client/cal-client.c (real_open_calendar): set the priv->cal
	pointer in a slightly different spot so we have it in the call
	back

	* gui/e-cal-model.c (e_cal_model_get_client_list): merge this in
	properly

2003-08-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (ecm_get_color_for_component): assign the colors
	based on the URI, which is stored in a common place for all models.
	Thus different views will use the same color for the same calendar.

	* gui/e-week-view-event-item.c (e_week_view_event_item_draw): draw
	a filled rectangle and a black border around it for one-day events.

	* gui/e-day-view-top-item.c (e_day_view_top_item_draw_long_event):
	fill the rectangle for the item with its associated color.

2003-08-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): unref the client if there
	is an error.
	(update_query): set status bar messages for progress.
	(update_query_timeout): re-enabled.
	(client_cal_opened_cb): install timeout handler for the query updates.

	* gui/e-cal-view.c (e_cal_view_set_model): connect to all appropriate
	signals on the model, to be called for every change.
	(model_row_changed_cb, model_rows_changed_cb): new model callbacks.

	* gui/e-week-view-event-item.c (e_week_view_event_item_draw): colorize
	the background for multiple days events.
	
2003-08-13  JP Rosevear  <jpr@ximian.com>

	* cal-client/client-test.c (create_client): there is no more
	object updated signal

	* cal-client/cal-listener.c: clean up comment

	* cal-client/cal-client.c (cal_client_class_init): remove
	obj_updated and obj_removed signals

	* cal-client/cal-client.h: ditto
	
2003-08-12  JP Rosevear  <jpr@ximian.com>

	* pcs/cal-backend.h: remove get_uri vmethod

	* pcs/cal-backend.c (cal_backend_class_init): remove get_uri
	vmethod init

	* pcs/cal-backend-file.c (cal_backend_file_class_init): no longer
	a get uri vmethod
	(cal_backend_file_get_uri): remove implementation of above

2003-08-12  JP Rosevear  <jpr@ximian.com>
	
	* cal-client/client-test.c (main): use tmp uris

	* cal-client/cal-listener.h: update protos

	* cal-client/cal-listener.c (cal_listener_init): init removed
	function
	(cal_listener_finalize): clear removed function
	(impl_notifyCalOpened): take file status
	(impl_notifyCalRemoved): implement
	(cal_listener_construct): take remove function arg
	(cal_listener_new): ditto

	* cal-client/cal-client.h: update protos, add remove status

	* cal-client/cal-client.c
	(cal_client_remove_status_enum_get_type): add remove status type
	(cal_client_class_init): add removed signal
	(cal_opened_cb): can no longer get unsupported exception here
	(cal_removed_cb): emit removed status
	(real_open_calendar): pass removed callback function to listener
	(get_fall_back_uri): no longer append tasks.ics or calendar.ics
	(cal_client_remove_calendar): new c wrapper for corba function -
	calendar must be open currently

	* pcs/query.c (backend_opened_cb): only disconnect the open
	callback
	(backend_removed_cb): handle calendar removal
	(query_construct): listen for remove signal as well

	* pcs/cal.h: cal no longer takes uri during construction

	* pcs/cal.c (backend_to_listener_status): convert backend to corba
	status code
	(impl_Cal_open): backend open no longer takes uri, use above to
	send back status
	(impl_Cal_remove): implement
	(cal_construct): we no longer track the uri
	(cal_finalize): ditto
	(cal_class_init): set remove epv method

	* pcs/cal-factory.c (impl_CalFactory_getCal): instantiate backend
	with uri and kind properties

	* pcs/cal-backend.h: list file status enum, add protos

	* pcs/cal-backend.c (cal_backend_set_property): implement object
	properties
	(cal_backend_get_property): ditto
	(cal_backend_class_init): add properties vmethods and uri, kind
	properties, removed signal
	(cal_backend_get_uri): don't get the uri from the backend
	(cal_backend_get_kind): get the kind from the backend
	(cal_backend_open): adapt to new open call, no uri passed in
	(cal_backend_remove): call through to remove implementation
	(cal_backend_opened): use new file status
	(cal_backend_removed): emit removed signal

	* pcs/cal-backend-file.h: update protos

	* pcs/cal-backend-file.c (cal_backend_file_class_init): override
	remove vmethod
	(cal_backend_file_init): default file name to calendar.ics
	(cal_backend_file_set_file_name): accessor for filename tacked on
	to uri
	(cal_backend_file_get_file_name): ditto
	(open_cal): return "file" type status codes
	(create_cal): ditto
	(get_uri_string): construct the full uri string
	(cal_backend_file_open): use above
	(cal_backend_file_remove): implement

	* pcs/cal-backend-file-todos.c (cal_backend_file_todos_init): set
	the file name to tasks.ics

	* pcs/cal-backend-file-events.c (cal_backend_file_events_init):
	set the file name to calendar.ics

	* cal-util/cal-util.c (cal_util_expand_uri): just return a copy of
	the uri now

	* idl/evolution-calendar.idl: convert OpenStatus to FileStatus so
	remove() can use it as well

	* gui/gnome-cal.c (gnome_calendar_open): just open the default
	folder in all cases

2003-08-12  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.[ch] (cal_util_component_has_alarms): new function.

	* gui/gnome-cal.[ch]:
	* gui/goto.c:
	* gui/itip-bonobo-control.c:
	* gui/print.c:
	* gui/e-week-view.[ch]:
	* gui/e-day-view.[ch]: lots of fixes to make all compile with no
	warnings.

2003-08-12  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.[ch] (cal_util_component_has_organizer):
	new function.

	* gui/e-day-view-main-item.c:
	* gui/e-day-view-top-item.c:
	* gui/e-week-view-event-item.c:
	* gui/e-week-view.c: adaptated to changes in ECalViewEvent.

	* gui/e-cal-model.[ch] (e_cal_model_get_client_list): new function.
	(ecm_append_row): fixed usage of icalcomponent variable.

	* gui/e-cal-view.c (e_cal_view_class_init): removed unused variable.
	(selection_received): use default client for pasting from clipboard.
	(e_cal_view_cut_clipboard): cut the appointment from its client.
	(e_cal_view_copy_clipboard, delete_event, on_save_as, om_print_event,
	e_cal_view_delete_selected_occurrence, on_meeting, on_forward,
	e_cal_view_create_popup_menu): adapted to changes in ECalViewEvent.
	(e_cal_view_delete_selected_event, e_cal_view_delete_selected_events):
	pass the ECalViewEvent to delete_event, so that it knows which
	CalClient to use.
	(on_edit_appointment): pass CalClient and icalcomponent to
	gnome_calendar_edit_object.
	(on_publish): publish F/B info for all the clients currently loaded
	in the view.
	(setup_popup_icons): added missing argument to gtk_image_new_from_stock.

	* gui/calendar-commands.c (publish_freebusy_cmd): publish F/B info
	for all the clients currently loaded in the view.
	(sensitize_calendar_commands): use icalcomponent functions.

	* gui/e-day-view.c:
	* gui/comp-editor-factory.c (impl_editExisting):
	* gui/calendar-offline-handler.c (backend_cal_opened_online):
	* gui/e-alarm-list.c (e_alarm_list_finalize):
	* gui/e-cal-model-tasks.c (ecmt_get_color_for_component):
	* gui/e-date-time-list.c (e_date_time_list_finalize):
	* gui/control-factory.c (get_prop): fixed warnings.
	
2003-08-12  Hans Petter Jansson  <hpj@ximian.com>

	* gui/calendar-offline-handler.c (impl_dispose): Chain. Prevent
	double unrefs.
	(impl_finalize): Chain.

	* gui/e-alarm-list.c (finalize): Chain.

	* gui/e-comp-editor-registry.c (destroy): Chain. Prevent double frees.
	(editor_destroy_cb): Don't crash if we get the destroy signal twice.

	* gui/e-date-time-list.c (e_date_time_list_finalize): Chain.

	* gui/e-meeting-attendee.c (finalize): Chain.

	* gui/e-meeting-model.c (finalize): Chain.

2003-08-12 Andrew Wu <Yang.Wu@sun.com>

       * gui/e-day-view.c
       (e_day_view_change_duration_to_start_of_work_day):
       In DayView, Shift+Home, Change the duration to the time
       that begins the current work day.
       (e_day_view_change_duration_to_end_of_work_day):
       In DayView, Shift+End, Change the duration to the time
       that ends the current work day

2003-08-12  Hans Petter Jansson <hpj@ximian.com>

	* gui/e-itip-control.c (html_destroyed):
	(init):
	(write_html): Add destroy chaining.

2003-08-12  Andrew Wu <Yang.Wu@sun.com>

       * gui/e-week-view.c
       (e_week_view_on_key_up):
       (e_week_view_on_key_down):
       (e_week_view_on_key_left):
       (e_week_view_on_key_right):
       In the WeekView, Navigation through days with arrow keys.

2003-08-12  Harry Lu <harry.lu@sun.com>

	** fixes #47464.

	* gui/dialogs/meeting-page.c: (get_widgets): The Organizer's value
	need not match one of the values in the list.

2003-08-12  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c (e_day_view_update_query):
	* gui/e-week-view.c (e_week_view_update_query): remove the status bar
	messages when the operation is finished.

	* gui/e-day-view-main-item.c (e_day_view_main_item_draw_day_event):
	draw a rectangle filled with the color associated with the event's
	calendar.

2003-08-12  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.[ch] (cal_util_component_has_alarms): new function.

	* gui/gnome-cal.[ch]:
	* gui/goto.c:
	* gui/itip-bonobo-control.c:
	* gui/print.c:
	* gui/e-week-view.[ch]:
	* gui/e-day-view.[ch]: lots of fixes to make all compile with no
	warnings.

2003-08-12  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.[ch] (cal_util_component_has_organizer):
	new function.

	* gui/e-day-view-main-item.c:
	* gui/e-day-view-top-item.c:
	* gui/e-week-view-event-item.c:
	* gui/e-week-view.c: adaptated to changes in ECalViewEvent.

	* gui/e-cal-model.[ch] (e_cal_model_get_client_list): new function.
	(ecm_append_row): fixed usage of icalcomponent variable.

	* gui/e-cal-view.c (e_cal_view_class_init): removed unused variable.
	(selection_received): use default client for pasting from clipboard.
	(e_cal_view_cut_clipboard): cut the appointment from its client.
	(e_cal_view_copy_clipboard, delete_event, on_save_as, om_print_event,
	e_cal_view_delete_selected_occurrence, on_meeting, on_forward,
	e_cal_view_create_popup_menu): adapted to changes in ECalViewEvent.
	(e_cal_view_delete_selected_event, e_cal_view_delete_selected_events):
	pass the ECalViewEvent to delete_event, so that it knows which
	CalClient to use.
	(on_edit_appointment): pass CalClient and icalcomponent to
	gnome_calendar_edit_object.
	(on_publish): publish F/B info for all the clients currently loaded
	in the view.
	(setup_popup_icons): added missing argument to gtk_image_new_from_stock.

	* gui/calendar-commands.c (publish_freebusy_cmd): publish F/B info
	for all the clients currently loaded in the view.
	(sensitize_calendar_commands): use icalcomponent functions.

	* gui/e-day-view.c:
	* gui/comp-editor-factory.c (impl_editExisting):
	* gui/calendar-offline-handler.c (backend_cal_opened_online):
	* gui/e-alarm-list.c (e_alarm_list_finalize):
	* gui/e-cal-model-tasks.c (ecmt_get_color_for_component):
	* gui/e-date-time-list.c (e_date_time_list_finalize):
	* gui/control-factory.c (get_prop): fixed warnings.

2003-08-11  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.[ch] (cal_util_component_is_instance,
	cal_util_component_has_recurrences, cal_util_component_has_rdates,
	cal_util_component_has_rrules, cal_util_event_dates_match):
	new functions needed for the CalComponent->icalcomponent
	transition.

	* gui/e-day-view.[ch]:
	* gui/e-week-view.[ch]: more adaptation to changes in ECalViewEvent.

	* gui/gnome-cal.c (gnome_calendar_edit_object): use icalcomponent's
	instead of CalComponent's.

2003-08-11  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c: more adaptation to changes in ECalViewEvent.
	(e_day_view_update_event_cb): use an ECalModelComponent, not a
	CalComponent.
	(process_component): pass an ECalModelComponent to
	e_day_view_update_event_cb().
	
	* gui/e-week-view.c: more adaptation to changes in ECalViewEvent.
	(e_week_view_update_event_cb, e_week_view_reshape_event_span):
	set the	background color on the event's summary text.

2003-08-11  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-week-view.c (e_day_view_update_query): no more query
	management here.
	(query_obj_updated_cb, query_obj_removed_cb, query_query_done_cb,
	query_eval_error_cb): removed query signals' callbacks.
	(adjust_query_sexp): removed.
	(process_component): new function to draw all components from
	the model.

	* gui/e-day-view.c: adapted to changes in ECalViewEvent structure.
	(e_day_view_update_query): no more query management here.
	(query_obj_updated_cb, query_obj_removed_cb, query_query_done_cb,
	query_eval_error_cb): removed query signals' callbacks.
	(adjust_query_sexp): removed.
	(process_component): new function to draw all components from
	the model.

2003-08-11  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.c (e_cal_view_destroy): disconnect from signals
	on the model.
	(e_cal_view_set_model): disconnect from signals on the old model
	and connect on the new one.
	(model_changed_cb): tell the views to redraw when the model changes.

	* gui/gnome-cal.c (dn_query_obj_updated_cb, gnome_calendar_destroy,
	client_categories_changed_cb): removed the 'client' field from the
	private structure, so don't use it anymore
	(client_cal_opened_cb): if successful, add the CalClient to the
	views' model.
	(gnome_calendar_construct): don't add the client to the task model,
	add it in client_cal_opened_cb().
	(gnome_calendar_get_cal_client): removed.
	(gnome_calendar_get_calendar_model): new function.
	(gnome_calendar_open): create the CalClient here, to be added to the
	views' model in client_cal_opened_cb().

2003-08-09  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.[ch] (e_cal_view_get_cal_client,
	e_cal_view_set_cal_client, e_cal_view_get_query,
	e_cal_view_set_query): removed unneeded functions.
	(e_cal_view_get_model, e_cal_view_set_model): new functions.
	(e_cal_view_destroy): free the model.
	(e_cal_view_init): removed sexp initialization.

	* gui/gnome-cal.c (gnome_calendar_set_query): set the
	query on the view's model, not on the view.
	(gnome_calendar_construct): create the calendar model and associate
	it to all the views.

2003-08-08  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model-calendar.c (ecmc_fill_component_from_model):
	implemented new virtual method.
	(ecmc_class_init): initialize new virtual method.

2003-08-08  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (cal_client_update_object_with_mod):
	cal_client_get_component_as_string_internal expects now a
	icalcomponent, not a CalComponent.

	* gui/e-cal-model.h: added fill_component_from_model virtual method.

	* gui/e-cal-model.c (e_cal_model_get_default_client): return
	the default URI as per the configuration if we've got that
	client loaded. If not, return the first client.
	(get_dtstart): retrieve the value from the icalproperty.
	(set_summary): implemented correctly.
	(set_categories, set_classification, set_description): changed
	to really get an ECalModelComponent.
	(ecm_append_row): pass the correct arguments to the set_ functions
	and call the class' fill_component_from_model method to fill in the
	created icalcomponent.

	* gui/e-cal-model-tasks.c (set_due): added missing function.
	(ecmt_set_value_at): implemented case for DUE field.
	(ecmt_fill_component_from_model): implemented new virtual method.
	(ecmt_append_row): removed.

	* gui/e-cal-model-calendar.c (ecmc_append_row): removed.

	* gui/e-calendar-table.c (e_calendar_table_init): initialize
	missing fields. Disabled call to g_object_unref on the 'extras'
	object, since it causes GLib warnings. Something is wrong here.

2003-08-08  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (cal_opened_cb): don't call remove_client,
	since the client, at this point, hasn't been added anywhere.
	(ecm_finalize): don't call e_cal_model_remove_all_clients, since
	that function triggers notifications on the model.
	(query_obj_updated_cb): free all the date fields.

2003-08-07  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (ecm_value_at): don't convert to an integer
	the return value from get_color.
	(ecm_get_color_for_component): use correct GTK 2.x color values.

	* gui/e-calendar-table.c: replace all CAL_COMPONENT_FIELD...
	with the correct E_CAL_MODEL_*_FIELD...

2003-08-07  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model-tasks.c (get_completed, get_due): added
	missing implementation.
	(ecmt_class_init): initialize missing virtual method.

	* gui/gnome-cal.c (gnome_calendar_construct): fixed typo.

2003-08-07  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.[ch] (cal_client_get_component_as_string):
	* cal-util/cal-util.[ch] (cal_util_add_timezone_from_component):
	use icalcomponent's instead of CalComponent's.

	* gui/Makefile.am:
	* gui/calendar-model.[ch]: removed old model class.

	* gui/e-calendar-table.[ch]: use ECalModelTasks class instead
	of CalendarModel.
	(e_calendar_table_set_status_message): new function.
	(get_selected_comp): return an ECalModelComponent.
	(get_selected_objects): return a list of ECalModelComponent's.
	(delete_selected_components): use the CalClient associated
	with each component.
	(copy_row_cb): adapted to changes in get_selected_comp.

	* gui/e-tasks.c:
	* gui/print.c:
	* gui/dialogs/comp-editor.c (save_as_cmd):
	* gui/e-day-view.c (e_day_view_on_drag_data_get):
	* gui/e-cal-view.c (e_cal_view_copy_clipboard, on_save_as): pass
	an icalcomponent to cal_util_add_timezones_from_component and
	cal_client_get_component_as_string.

	* gui/e-cal-model.[ch] (e_cal_model_set_use_24_hour_format):
	(e_cal_model_get_default_client):
	(e_cal_model_set_default_category): new functions.

	* gui/e-cal-model-tasks.[ch] (e_cal_model_tasks_mark_task_complete):
	new function.
	(ecmt_get_color_for_component): chain the call to the parent class
	so that it assigns the per-client color to 'normal' tasks.

	* gui/calendar-config.c (calendar_config_configure_e_calendar_table):
	call e_cal_model_set_use_24_hour_format.

2003-08-07  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (ecm_get_color_for_component): use the color
	palette from Tuomas.

2003-08-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.[ch]: removed 'create_component_with_defaults'
	virtual method.
	(e_cal_component_create_component_with_defaults):
	(e_cal_component_get_color_for_component): new functions.

2003-08-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.[ch] (e_cal_model_set_query): new function.
	(e_cal_model_remove_all_clients): implemented.
	(remove_client): also remove all objects belonging to the
	client being removed.

2003-08-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.c (get_dtstart, set_dtstart): implemented.
	(ecm_value_at, ecm_set_value_at, ecm_duplicate_value,
	 ecm_free_value, ecm_value_to_string): added case for DTSTART
	 field.
	(free_comp_data): free also the other date values in the
	ECalModelComponent struct.
	(e_cal_model_date_value_to_string): new function.

	* gui/e-cal-model.h: added new prototypes.

	* gui/e-cal-model-calendar.[ch]: new ECalModel-based class for
	containing events.

	* gui/e-cal-model-tasks.c (ecmt_value_to_string): implemented
	the case for date fields.

2003-08-05  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (generate_instances_obj_updated_cb): fixed
	parameters in call to cal_client_get_object().
	(get_objects_atomatically): same.

	* gui/e-cal-model.[ch]: added "get_color_for_component" virtual method.
	(get_color): new function to return the color. It calls the virtual
	method of the current class.
	(ecm_value_at): return a value for the color and icon columns.
	(e_cal_model_class_init): initialize virtual methods.

	* gui/e-cal-model-tasks.c (ecmt_get_color_for_component): implemented
	new class' virtual method.

2003-08-05  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client_/cal-client.c (cal_client_get_default_object): use
	correctly the pointer to pointer.

	* gui/e-week-view.c (query_obj_updated_cb): fixed the call to
	cal_client_get_object().

2003-08-04  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.[ch] (cal_client_get_default_object):
	(cal_client_get_object): use icalcomponent instead of CalComponent.

	* gui/e-cal-model.c (get_dtstart): implemented.
	(query_obj_updated_cb):
	(query_obj_removed_cb):
	(query_done_cb):
	(query_eval_error_cb): implemented missing functions.

	* gui/calendar-model.c:
	* gui/comp-editor-factory.c:
	* gui/comp-util.c:
	* gui/e-day-view.c:
	* gui/e-itip-control.c:
	* gui/e-week-view.c:
	* gui/gnome-cal.c:
	* gui/dialogs/comp-editor.c:
	* conduits/todo/todo-conduit.c:
	* conduits/calendar/calendar-conduit.c: adapted to changes
	in CalClient API.

2003-08-04  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-query.[ch] (cal_query_new): added a 'CalClient'
	argument to this function.
	(cal_query_get_client): new function.

	* cal-client/cal-client.c (cal_client_get_query): added new parameter
	in call to cal_query_new ().

2003-08-01  Lorenzo Gil <lgs@sicem.biz>

	* gui/e-alarm-list.c: added the include <config.h> line at the
        beginning to enable gettext.

2003-08-01  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.[ch] (e_cal_model_get_component_at): new function.
	(ecm_append_row): use the client from the source model.
	(e_cal_model_get_timezone, e_cal_model_set_timezone): new functions.

	* gui/e-cal-model-tasks.[ch]: new class for the tasks model.

2003-07-31  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-model.[ch]: new class, based on CalendarModel to be
	an abstract class for calendar models.

	* gui/Makefile.am: added new files to build.

2003-07-30  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client-multi.[ch]:
	* cal-client/Makefile.am: removed obsolete code.

2003-07-30  Ettore Perazzoli  <ettore@ximian.com>

	* gui/main.c (factory): Do not depend on global_shell_client being
	not NULL for creating the calendar preferences dialog.

	* gui/e-itip-control.c (show_current): Don't call get_servers
	anymore [to be fixed].
	(get_servers): #if 0ed out.
	(object_requested_cb): Don't create the folder selector button.

	* gui/e-cal-view.c (e_cal_view_set_status_message): Don't create
	an activity client.

	* gui/calendar-model.c (calendar_model_set_status_message): Don't
	create an activity client.

	* gui/calendar-component.c: Removed global variable
	global_shell_client.
	(owner_set_cb): Don't set global_shell_client.
	(owner_unset_cb): Don't set it here either.

2003-07-29  Rodrigo Moya <rodrigo@ximian.com>

	Fixes all "alarm daemon doesn't start with session"

	* gui/alarm-notify/notify-main.c (main): use LIBGNOMEUI_MODULE
	instead of LIBGNOME_MODULE so that the default session client
	is created in gnome_program_init.

2003-07-29 Harry Lu <harry.lu@sun.com>

	Fixes #46769

	* gui/dialogs/task-page.c: (task_page_fill_component): Popup a 
	error dialog if due date time is before start datetime when saving
	a task.

2003-07-29  Bolian Yin <bolian.yin@sun.com>

        Fixes #46847

        * gui/e-day-view.c (e_day_view_get_next_tab_event, e_day_view_focus):
         add day view widget in the tab loop of events.
        * gui/e-week-view.c (e_week_view_get_next_tab_event, e_week_view_focus):
         add week view widget in the tab loop of events.

        Also: add some comments in gui/e-day-view.c and gui/e-week-view.c
              remove two compile warnings in gui/e-day-view.c

2003-07-24  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.[ch] (e_cal_view_delete_selected_occurrence):
	new function.
	(e_cal_view_get_timezone, e_cal_view_set_timezone): new functions.
	(e_cal_view_class_init): added new class' signal.

	* gui/e-week-view.[ch] (e_week_view_delete_occurrence,
	 e_week_view_delete_occurrence_internal): removed.
	(e_week_view_get_timezone): removed.
	(e_week_view_set_timezone): renamed to timezone_changed_cb, as
	the callback for timezone changes in the parent ECalView.
	(e_week_view_on_button_press): call gnome_calendar_new_appointment
	instead of the non-existant e_week_view_new_appointment.

	* gui/e-day-view.[ch] (e_day_view_delete_occurrence,
	 e_day_view_delete_occurrence_internal): removed.
	(e_day_view_get_timezone): removed.
	(e_day_view_set_timezone): renamed to timezone_changed_cb, as
	the callback for timezone changes in the parent ECalView.

	* gui/gnome-cal.c (gnome_calendar_delete_selected_occurrence):
	made it call e_cal_view_delete_selected_occurrence.
	(gnome_calendar_update_config_settings): call the generic
	e_cal_view_set_timezone on all view widgets.

	* gui/e-day-view-top-item.c:
	* gui/e-week-view-main-item.c:
	* gui/e-day-view-main-item.c: removed mentions to non-existant
	structure fields.

2003-07-24  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.h: define ECalViewEvent as the base struct for
	the other views.

	* gui/e-day-view.[ch]: EDayViewEvent is now based on ECalViewEvent.
	(e_day_view_get_selected_events): made it return a list of
	ECalViewEvent's, not CalComponent's, so that we can get more
	information about the events.

	* gui/e-week-view.[ch]: EWeekViewEvent is now based on ECalViewEvent.
	(e_week_view_get_selected_events): same as e_day_view_get_selected_events.

	* gui/e-cal-view.c (e_cal_view_cut_clipboard, e_cal_view_copy_clipboard,
	 e_cal_view_delete_selected_event, e_cal_view_delete_selected_events,
	 on_edit_appointment, on_save_as, on_print_event, on_meeting,
	 on_forward, e_cal_view_create_popup_menu):
	* gui/calendar-commands.c (sensitize_calendar_commands): updated
	to read ECalViewEvent's instead of CalComponent's as returned
	by e_cal_view_get_selected_events().

2003-07-24  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.c (delete_event): check the uid before using it.

2003-07-24  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c (e_day_view_delete_event,
	 e_day_view_delete_event_internal):
	* gui/e-week-view.c (e_week_view_delete_event,
	 e_week_view_delete_event_internal): removed.

	* gui/e-cal-view.[ch] (e_cal_view_delete_selected_event): renamed
	from e_cal_view_delete_event_internal.
	(e_cal_view_delete_selected_events): new function.

	* gui/gnome-cal.c (gnome_calendar_delete_selection): call
	e_cal_view_delete_selected_events().

	* gui/e-week-view-event-item.c (e_week_view_event_item_get_position,
	 e_week_view_event_item_button_press):
	* gui/e-day-view-top-item.c (e_day_view_top_item_draw_long_event):
	* gui/e-day-view-main-item.c (e_day_view_main_item_draw_day_event):
	adapted to changes in E*ViewPosition.

2003-07-24  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.c (on_print): added missing cases.
	(setup_popup_icons): new function to set up icons for the popup menu.
	(e_cal_view_create_popup_menu): call setup_popup_icons.

2003-07-23  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.[ch]: moved the duplicated popup menu code here.
	(e_cal_view_create_popup_menu): new function to create the popup
	menu for all views.
	(on_new_appointment, on_new_event, on_new_meeting, on_new_task,
	 on_goto_today, on_goto_date, on_edit_appointment, on_print,
	 on_save_as, on_print_event, on_meeting, on_forward, on_publish,
	 on_settings, on_delete_appointment, on_cut, on_copy, on_paste,
	 on_unrecur_appointment): callbacks for the popup menu items.

	* gui/e-week-view.c (e_week_view_on_new_appointment,
	  e_week_view_new_appointment, e_week_view_on_new_event,
	  e_week_view_on_new_meeting, e_week_view_on_new_task,
	  e_week_view_on_goto_today, e_week_view_on_goto_date,
	  e_week_view_on_edit_appointment, e_week_view_on_print,
	  e_week_view_on_save_as, e_week_view_on_print_event,
	  e_week_view_on_meeting, e_week_view_on_forward,
	  e_week_view_on_publish, e_week_view_on_settings,
	  e_week_view_on_delete_appointment,
	  e_week_view_delete_event_internal, e_week_view_on_cut,
	  e_week_view_on_copy, e_week_view_on_paste):
	* gui/e-day-view.c (e_day_view_on_new_appointment,
	  e_day_view_on_new_event, e_day_view_on_new_meeting,
	  e_day_view_on_new_task, e_day_view_on_goto_today,
	  e_day_view_on_goto_date, e_day_view_on_edit_appointment,
	  e_day_view_on_print, e_day_view_on_save_as,
	  e_day_view_on_print_event, e_day_view_on_meeting,
	  e_day_view_on_forward, e_day_view_on_publish,
	  e_day_view_on_settings, e_day_view_on_delete_appointment,
	  e_day_view_delete_event_internal, e_day_view_on_cut,
	  e_day_view_on_copy, e_day_view_on_paste): removed duplicated code.

	* gui/gnome-cal.[ch] (gnome_calendar_unrecur_selection): new function.

2003-07-23  Dan Winship  <danw@ximian.com>

	* cal-util/Makefile.am: Use EVO_MARSHAL_RULE, and add
	MARSHAL_GENERATED to CLEANFILES

	* gui/alarm-notify/alarm-queue.c (on_dialog_obj_updated_cb): Fix
	an unused variable

	* gui/calendar-commands.c (purge_cmd): Fix warnings.

	* gui/calendar-config.h: s/confirm_expunge/confirm_purge/ to match
	the actual functions

	* gui/control-factory.c: add some missing #includes

	* gui/dialogs/delete-comp.c (delete_component_dialog): Fix a
	warning

	* gui/e-itip-control.c (write_label_piece): Remove unused variable.

	* gui/print.c (print_calendar): Remove unused variable
	(print_comp): Likewise.

	* gui/tasks-control.c (confirm_purge): Fix warnings.
	(print_tasks): Remove unused variable.

2003-07-23  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.h:
	* gui/e-week-view.h: removed unneeded prototypes.

	* gui/e-cal-view.[ch] (e_cal_view_get_visible_time_range): new
	function.
	(selection_received): deal correctly with the selected time range.

	* gui/e-week-view.c (e_week_view_get_visible_time_range): made it
	private as the implementation of the 'get_visible_time_range'
	virtual method.

	* gui/e-day-view.c (e_day_view_get_visible_time_range): ditto.

	* gui/gnome-cal.c (gnome_calendar_direction): merged redundant 'case'.
	(focus_current_view): removed redundant code.

2003-07-22  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c (e_day_view_get_selected_events):
	* gui/e-week-view.c (e_week_view_get_selected_events): manage the
	case where the selected events are the popup menu ones.

2003-07-22  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_copy_clipboard,
	gnome_calendar_cut_clipboard, gnome_calendar_paste_clipboard):
	removed missing calls to e_day/week_view_*_clipboard.

2003-07-22  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.[ch]: added "get_selected_events",
	and "update_query" virtual methods.
	(e_cal_view_class_init): initialize new virtual methods.
	(e_cal_view_destroy): destroy new private members.
	(e_cal_view_get_selected_events, e_cal_view_set_cal_client,
	 e_cal_view_get_cal_client): new functions.
	(e_cal_view_cut_clipboard, e_cal_view_copy_clipboard,
	 e_cal_view_paste_clipboard): merged clipboard stuff.

	* gui/e-day-view.c (e_day_view_cut_clipboard,
	  e_day_view_copy_clipboard, e_day_view_paste_clipboard): removed.
	(e_day_view_get_selected_events): made these private as the
	implementation of the 'get_selected_events' base class virtual method.

	* gui/e-week-view.c (e_week_view_get_selected_events): ditto.
	(e_week_view_cut_clipboard, e_week_view_copy_clipboard,
	 e_week_view_paste_clipboard): removed.
	
	* gui/calendar-commands.c (sensitize_calendar_commands): call
	e_cal_view_get_selected_events.

	* gui/gnome-cal.c: removed a lot of redundant code thanks to the
	above changes.

2003-07-21  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.[ch]: removed e_day_view_set_calendar prototype.
	(e_day_view_set_status_message): removed.

	* gui/e-week-view.[ch] (e_week_view_set_status_message): removed.

	* gui/e-cal-view.[ch] (e_cal_view_set_status_message): new functions.
	(e_cal_view_destroy): unref activity client.

	* gui/gnome-cal.c: updated to e_*_view/e_cal_view.

2003-07-18  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.[ch]:
	* gui/e-week-view.[ch]: moved duplicated code to...

	* gui/e-cal-view.[ch]: ...here.
	(e_cal_view_get_calendar, e_cal_view_set_calendar): new functions.

	* gui/e-week-view-event-item.c (e_week_event_item_double_click):
	* gui/gnome-cal.c (setup_widgets): adapted to changes in views.

2003-07-17  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-cal-view.[ch]: new base class for calendar views.

	* gui/e-day-view.[ch]:
	* gui/e-week-view.[ch]: base these classes on ECalView.

	* gui/Makefile.am: added new files.

2003-07-17  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-config.[ch]:
	* gui/tasks-control.c: s/expunge/purge.

2003-07-16  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.[ch] (gnome_calendar_purge): new function,
	which uses a CalQuery to retrieve the objects older than a given date.
	(check_instance_cb): callback for cal_recur_generate_instances.
	(purging_obj_updated_cb): call check_instance_cb on each recurrence
	to double-check the event can be deleted.
	(purging_query_done_cb, purging_eval_error_cb): needed callbacks to
	finish the query.
	(gnome_calendar_destroy): free new members.

	* gui/calendar-commands.c (purge_cmd): added implementation for the
	'Purge' menu item.

2003-07-16  Andrew Wu <Yang.Wu@sun.com>

      Fixes #45774

      * gui/e-day-view.c (e_day_view_goto_start_of_work_day):
      implemented select the time that begins a work day.
      (e_day_view_goto_end_of_work_day):
      implemented select the time that ends a work day.

2003-07-16  Andrew Wu <Yang.Wu@sun.com>
	
	Fixes #45772
	
	* gui/gnome-cal.c(gnome_calendar_goto_date): implemented Alt+Left/Right
	  to go to the same day of the previous/next week.
	* gui/gnome-cal.h:add two element in GnomeCalendarGotoDateType.

2003-07-14  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #41676

	* gui/dialogs/alarm-options.c (palarm_options_changed_cb,
	  repeat_spin_button_changed_cb, repeat_unit_changed_cb): new callbacks for
	managing modifications in the 'Run a program' alarm case.
	(repeat_toggle_toggled_cb): if the alarm being edited has a procedure
	action, call palarm_options_changed_cb.
	(init_widgets): connect new callbacks.
	(alarm_to_dialog): disable 'OK' button if a procedure alarm.

2003-07-11  Federico Mena Quintero  <federico@ximian.com>

	* gui/dialogs/task-details-page.glade: Changed the "URL:" label to
	"_Web Page:".  Added a widget name to the URL label so that we can
	hook up its mnemonic by hand.  Added underlines to the "%
	Complete:" and "Date Completed:" labels.  Added a widget name to
	the date completed label, also so that we can hook up its mnemonic.

	* gui/dialogs/task-details-page.c (get_widgets): Get the url_label
	and date_completed_label as well.
	(init_widgets): Set the mnemonic widgets of the url_label and the
	date_completed_label by hand, as their respective widgets are
	not created by libglade.

	* gui/e-calendar-table.c (tasks_popup_menu): Added an item for
	"Open Web Page".
	(e_calendar_table_show_popup_menu): Disable the aforementioned
	menu item if the selected task doesn't have the URL property set.
	(open_url_cb): New callback.

	* gui/e-tasks.c (write_html): Make the HTML say "Web Page:"
	instead of "URL:".

2003-07-10  Harry Lu <harry.lu@sun.com>

	Fixes #46075.

	* gui/e-date-time-list.c (compare_datetime): new function to compare
	two CalComponentDateTime instances.
	(e_date_time_list_append): check whether the date already exists
	before adding it to the list.

2003-07-07  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #45910

	* gui/dialogs/task-editor.c (task_editor_class_init): set up the
	handler for the set_cal_client virtual method.
	(task_editor_set_cal_client): added missing virtual method.

2003-07-07  Jack Jia <jack.jia@sun.com>

	* cal-client/cal-client.c (cal_client_get_static_capability): add
	g_return_val_if_fail to check the input param.

2003-07-03  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-tasks.c (setup_widgets): added a paned widget to contain
	the task list and a HTML widget for displaying the task's details.
	Connect to "cursor_change" signal on the ETable.
	(table_cursor_change_cb): update the HTML view every time the selected
	task changes.
	(timet_to_str_with_zone): new function copied from alarm daemon.
	(url_requested_cb): callback for "url_requested" signal on the
	GtkHTML widget.
	(on_link_clicked_cb): respond to clicks linked on the HTML widget.
	(vpaned_resized_cb): set the configuration entry for the task vpane
	position.
	(e_tasks_destroy): free new member.
	(e_tasks_construct): connect to "obj_removed" signal on the CalClient.
	(client_obj_removed_cb): if the updated object is the one being
	displayed in the HTML widget, update it.

	* gui/calendar-config.[ch] (calendar_config_get_task_vpane_pos):
	(calendar_config_gset_task_vpane_pos): new functions.

	* gui/apps_evolution_calendar.schemas: added task vpane position.

2003-07-03  Antonio Xu <antonio.xu@sun.com>

	Fixes #45767
	
	* conduits/todo/Makefile.am: removed libwombat from the build.

2003-07-02  Harry Lu <harry.lu@sun.com>

 	Fixes #44485

 	* gui/e-timezone-entry.c (e_timezone_entry_set_entry): pass a 
 	new allocated string to gtk_entry_set_text instead of the one
 	that might come from gettext.

2003-07-02  Dan Winship  <danw@ximian.com>

	* cal-client/cal-client.c (real_open_calendar): Don't leak
	exceptions
	(load_static_capabilities): free the capability string

	* gui/dialogs/task-page.c (task_page_fill_component): Free the
	description text if it *was* set, rather than if it wasn't.

	* gui/dialogs/task-editor.c (task_editor_finalize): Free the priv
	struct.

2003-07-02  Bolian Yin <bolian.yin@sun.com>

	Fixes #45328, #45329

	* gui/e-day-view.c (e_day_view_do_key_press): Do not process
	PageUp/PageDown, .. when the Alt key is pressed (give key binding
	set the chance).
	* gui/gnome-cal.h : define new enum type, GNOME_CAL_GOTO_DATE_TYPE.
	* gui/gnome-cal.c (gnome_calendar_class_init): define new signal
	 "goto_date".  Add key bindings for "Alt+PageUp/PageDown",
	 "Alt+Home/End".
	(gnome_calendar_goto_date): Impl. signal handler for "goto_date".

2003-07-01  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #45524

	* gui/calendar-commands.c: use stock icons where approppriate.

	* gui/tasks-control.c: removed EPixmaps structure, since we only use
	stock icons now.
	(tasks_control_activate): no need to call e_pixmaps_update.

2003-07-01  Bolian Yin <bolian.yin@sun.com>

	Fixes #45274

	* gui/e-week-view.c: implemented tabbing though events in week view.

2003-06-30  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c: removed usage of WombatClient.
	(client_get_password_cb, client_forget_password_cb): removed.
	(real_open_calendar): don't create the WombatClient object.
	(cal_client_init, cal_client_finalize): removed WombatClient
	related code.
	(cal_client_finalize): re-enabled call to destroy_factories.

	* pcs/cal.c: removed usage of WombatClient interface.
	(cal_construct): don't get a reference to the WombatClient.
	(cal_get_password, cal_forget_password): removed unused functions.

	* conduits/calendar/Makefile.am:
	* cal-client/Makefile.am: removed references to libwombat.

2003-06-27  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/send-comp.[ch] (send_component_dialog):
	* gui/dialogs/cancel-comp.[ch] (cancel_component_dialog): added a
	GtkWindow argument for callers to specify the parent window.

	* gui/dialogs/changed-comp.[ch] (changed_component_dialog): added
	'parent' argument and use GtkMessageDialog instead of
	gnome_question_dialog.

	* gui/e-calendar-table.c (e_calendar_table_delete_selected):
	* gui/e-day-view.c (e_day_view_delete_event_internal,
	  e_day_view_on_cut, e_day_view_finish_long_event_resize,
	  e_day_view_finish_resize, e_day_view_on_editting_stopped,
	  e_day_view_on_top_canvas_drag_data_received, selection_received):
	* gui/e-week-view.c (e_week_view_delete_event_internal,
	  e_week_view_on_cut, e_week_view_on_editing_stopped,
	  selection_received):
	* gui/dialogs/event-editor.c (cancel_meeting_cmd):
	* gui/dialogs/task-editor.c (cancel_task_cmd):
	* gui/dialogs/comp-editor.c (delete_cmd, obj_removed_cb): pass the parent window to
	the *_component_dialog() functions.

	* gui/dialogs/delete-comp.c (delete_component_dialog): use the 'widget'
	argument to get the parent window for the dialog.

2003-06-26  Bolian Yin <bolian.yin@sun.com>

	Fixes #45276

	* gui/e-day-view.c (e_day_view_on_text_item_event): set focus to dayview
	when editing is canceled.
	* gui/e-week-view.c (e_week_view_on_text_item_event): set focus to weekview
	when editing is canceled

2003-06-25  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #44723

	* gui/dialogs/alarm-page.c: added a new field to the private structure
	to keep track of the old summary.
	(alarm_page_init): initialize new field.
	(alarm_page_finalize): free new field.
	(alarm_page_set_summary): iterate over the list of alarms to change
	their description if it was the same as the event's summary.

2003-06-25  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #44719

	* gui/alarm-notify/alarm-notify-dialog.c (alarm_notify_dialog): use
	gtk_window_set_icon_from_file to set the window's icon and implemented
	the code to make the window sticky with GTK 2.x API.
	
2003-06-25  Bolian Yin <bolian.yin@sun.com>

	Fixes #45275

	* gui/e-calendar-table.c (e_calendar_table_show_popup_menu): new function.
	(e_calendar_table_on_right_click_menu): call e_calendar_table_show_popup_menu.
	(e_calendar_table_on_popup_menu): callback for "popup_menu" signal.
	(e_calendar_table_init): connect to ETable's "popup_menu" signal.

2003-06-25  Bolian Yin <bolian.yin@sun.com>

	Fixes #45273

	* gui/e-day-view.c: implemented tabbing though events in day view.
	
2003-06-23  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/comp-editor.c (make_title_from_string, set_title_from_string):
	new functions.
	(page_summary_changed_cb): change the window title when the object's
	summary changes.

2003-06-22  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (get_factories): don't use a static GList,
	since the value returned is freed in destroy_factories, making several
	clients use a buggy GList if one of them happen to be destroyed.

2003-06-22  Hans Petter Jansson  <hpj@ximian.com>

	* gui/print.c (get_font_for_size): Remove debug output.

	* gui/tasks-control.c (print_tasks): Ref and sink the printable.
	Use fixed (5%) margins instead of what gnome-print gives us.

2003-06-19  Dan Winship  <danw@ximian.com>

	* pcs/cal-backend.c (cal_backend_finalize): don't leak the
	CalBackendPrivate.

2003-06-18  Dan Winship  <danw@ximian.com>

	* gui/calendar-config.c (calendar_config_get_hpane_pos) 
	(calendar_config_get_vpane_pos) 
	(calendar_config_get_month_hpane_pos) 
	(calendar_config_get_month_vpane_pos): Plug in the defaults from
	the schemas file here, so that even if something goes wrong with
	the schemas, people will still get reasonable defaults instead of
	"I click on the calendar and it shows me tasks".

2003-06-16  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/comp-editor.c (make_title_from_comp): removed unused
	variable.

2003-06-12  Jack Jia <jack.jia@sun.com>
 
 	* gui/e-itip-control.c
 	(struct _EItipControlPrivate): switch the "view_only" arg to be an
	int.
 	(init): ditto.
 	(e_itip_control_set_view_only): ditto.
 	(e_itip_control_get_view_only): ditto.
 
 	* gui/itip-bonobo-control.c
 	(get_prop): switch BONOBO_ARG_SET_BOOLEAN to BONOBO_ARG_SET_INT.
 	(set_prop): switch BONOBO_ARG_GET_BOOLEAN to BONOBO_ARG_GET_INT.
 	(itip_bonobo_control_new): switch BONOBO_ARG_BOOLEAN to
	BONOBO_ARG_INT.
 
 	Function "bonobo_property_bag_client_set_value_gboolean" can not
	work on solaris.

2003-06-10  Bolian Yin <bolian.yin@sun.com>

	Fixes #44682, Shift+F10 to active popup menu on day/week view

	* gui/e-day-view.c (e_day_view_key_press, e_day_view_do_key_press):
	  When the key press is not handled, give keybindings the chance.
	 (e_day_view_popup_menu, e_day_view_show_popup_menu,
	 e_day_view_on_event_right_click ): popup menu will be activated from
	 both keyboard and mouse.

	* gui/e-week-view.c (e_week_view_key_press, e_week_view_do_key_press):
          When the key press is not handled, give keybindings the chance.
	 (e_week_view_popup_menu): popup menu can be activated from keyboard

2003-06-10  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #41582

	* gui/gnome-cal.c (gnome_calendar_hpane_resized): killed warnings
	and added code to resize the EDayView's time column on the hpane's
	resizing.
	(gnome_calendar_vpane_resized): killed warnings.
	
2003-06-05  Not Zed  <NotZed@Ximian.com>

	** For #42691.

	* gui/Makefile.am (%.server.in): implicit rule for .in file.
	(BUILT_SOURCES): added server_DATA.

	* gui/alarm-notify/Makefile.am (%.server.in): added implicit rule
	for .in file.
	(BUILT_SOURCES): added server_DATA.

2003-06-04  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.c (start_cached_query_cb): adapted to changes in
	EComponentListener API.
	(query_construct): ditto.

	* cal-client/cal-client.c (cal_opened_cb): ditto.
